Welcome to Video Edit Magic

DeskShare is proud to bring to you Video Edit Magic, a complete video-editing tool. Even people with little or no experience in video editing will be able to easily utilize its highly advanced video-editing features. It works with all popular video and audio file formats and runs just as easily on a big, powerful machine, as it does on a laptop. It is one of the most comprehensive tools available to create video for the Web.

This help document presents a complete reference for editing with Video Edit Magic. It starts by explaining video editing in general and then takes you through all steps necessary to make polished compositions with Video Edit Magic. The What's New? section contains a comprehensive list of enhancements and feature additions implemented in the current version of Video Edit Magic.

Contents

  • Introduction
  • Understanding the User Interface
  • Getting Started with Editing
  • Media Editing
  • Working with Effects and Transitions
  • Video Edit Magic Tools
  • Using Volume Tracks
  • Working with Projects
  • Making Movies
  • Capturing Media from Devices
  • Capturing Media from Analog Devices (Windows 98 only)
  • Exporting to Digital Video Camera
  • Articles
Copyright © DeskShare. All rights reserved.


Introduction to Video Edit Magic

Video Edit Magic brings to you almost all the features of a professional video-editing application. Its easy-to-use features let users cut, copy and paste media clips easily and quickly and the timeline makes the video and audio editing process intuitive and straightforward.

With Video Edit Magic you can:

  • Capture videos using any input device, digital video camera, Web Cam or VCR.
  • Edit the audio and video components of a single media file separately.
  • Give effects to your videos.
  • Decorate your videos with more than 150 unique transitions.
  • Overlay one video over another.
  • Make movies in AVI, MPEG, WMV, WMA, QuickTime and DV AVI.
  • Add a background score / voiceover to your video file.
  • Vary the volume with time.
  • Incorporate text titles in your videos.
  • Change the duration of your media file.
  • Cut, copy and paste clips from one media file to another.
  • Join multiple media clips into a single media file.
  • Export your videos to any Digital Video Camera.

Contents

  • System Requirements
  • Supported Media Formats
  • What's New?
  • Media Editing Terminology


System Requirements

Minimum System Requirements for Video Edit Magic are:

  • Microsoft® Windows 98 SE / Windows ME / Windows 2000 / Windows XP
  • Microsoft® DirectX 8 or higher. You may download it from: http://www.microsoft.com/windows/directx/downloads/drx81.asp.
  • Internet Explorer 5.5 or higher
  • 300 MHz Processor (500 MHz recommended)
  • 256 MB RAM
  • DirectX compatible graphics and sound boards
  • Minimum 100 MB of Hard Disk Space


Supported Media Formats

Most of the commonly used media file formats are supported by Video Edit Magic:

Supported Input Formats

  1. Audio-Video Interleaved (AVI)
  2. WAV
  3. Windows Media Audio (WMA)
  4. Windows Media Video (WMV)
  5. Windows Media Video High Definition (WMV HD)*
  6. Advanced Streaming Format (ASF)
  7. Motion Picture Experts Group (MPEG, MPEG-2, VOB and MPEG-4)
  8. QuickTime (MOV)
  9. DVD Video with chapters (VOB)
  10. AIFF
  11. AU
  12. SND

In addition to video and audio sources, Video Edit Magic also supports the following image file formats

  1. Bitmap (.bmp)
  2. GIF (Graphics Interchange Format)
  3. JPEG (Joint Photographic Experts Group)
  4. TGA (Targa or Truevision Graphics Adapter)
  5. Mode 2 (uncompressed RGB) in 16-bit, 24-bit, or 32-bit formats .

Supported Output Formats

  1. AVI
  2. MPEG Formats (VCD, SVCD and DVD)
  3. Windows Media Video (WMV)
  4. Windows Media Audio (WMA)
  5. Digital Video AVI (DV AVI)
  6. QuickTime (MOV)

QuickTime Support

QuickTime version 2 and lower is directly supported by Video Edit Magic. Files in this format can be added to the timeline for editing. QuickTime files version higher than version 2 must be however converted to AVI format before they can be added to the timeline. Media Converter is a companion utility bundled with Video Edit Magic that is capable of converting a QuickTime file to its equivalent AVI file.

The recommended or full installation of QuickTime is required to convert from AVI to QuickTime and to make movies in QuickTime. QuickTime's online or standalone installer can be obtained from the URL: http://www.apple.com/quicktime/products/qt/.

MPEG-2 Support

To add MPEG-2 files to the timeline, you must first install the Free MPEG-2 Decoder available from the following link:
http://www.deskshare.com/download/mpeg2decoder.exe

Since MPEG-2 editing is very resource intensive, it is recommended that you convert this type of files using the built-in Media Converter before adding the files to the timeline.

MPEG-4 Support

To support MPEG-4 files in the timeline, you must first install the MPEGable Decoder available from the following link:
http://www.deskshare.com/download/mpegabledsdecoder.exe

* WMV HD files are encoded at ultra-high quality settings i.e. 1024 * 720 or 1920 * 1080. Editing such high resolution files is resource intensive hence these files are treated as standard definition WMV files when adding it to timeline.


Video Edit Magic: What's New

What's New in Video Edit Magic 4.2?

  1. Drag and Drop Media Files: Media Files can be dragged from the explorer and dropped into the Collections window under Media Files.
  2. Enhanced QuickTime Make Movie Feature: If you choose to make movies in QuickTime MOV format, the conversion process is really fast and the results is files that are small in size.
  3. Configure Audio Frequency while Making Movies in AVI: You can select any audio frequency from the standard ones provided by this new version of Video Edit Magic while making movies in AVI format.
  4. Repair File Tool: The built-in repair utility detects and repairs problems that might exist in your WMV and QuickTime MOV media files.
  5. Redesigned Toolbar: The new toolbar has icons for capture, adding narration to the timeline, make movie and options. So these often used functions can be accessed simply with a mouse click instead of searching then under various menus.

What's New in Video Edit Magic 4.1?

  1. Make Movie in Windows Media 9: The all new Windows Media 9 support gives you Windows Media 9 profiles organized in 4 different categories of videos. You can now make movies using the Windows Media 9 video and audio codecs.
  2. Pan and Zoom Effect: The new Pan and Zoom video effect lets you create the classic Ken Burns effect from your photo snaps and videos. Breathe life into your still photos by adding this effect and some music.
  3. Animated Transform Effect: With this new effect, you can make your videos move and rotate at the same time. For example, you can also start from an off-screen position and make Video Rolls.
  4. Display Aspect Ratio in DVD Video: With Video Edit Magic, you can now create DVD Video for Standard Television, Widescreen and Cinemascope Movie.
  5. Support for USB 2.0 Camcorders: The enhanced capture tool now lets you capture from Camcorders that are capable of transferring videos using a USB 2.0 connection to your PC.
  6. Capture from DV Cameras to Windows Media: Like WebCams, the capture tool now enables you to capture from DV Cameras directly to Windows Media Video (WMV). This will produce small captured files.
  7. Capture Entire Tape: With this new option in the Capture tool, you can setup Video Edit Magic to capture the entire video from your DV Camera's tape while you relax.
  8. Batch Conversion: The media converter tool now supports batch conversion. Add all files that you want to convert at once and have the converter tool convert them one after another.
  9. Enhanced Key Color Transition: Along with the specified key color, the new Similarity option will enable you to render colors near to the key color as transparent.
  10. Opening Title, Closing Credit with Text/Title Effect: The Text/Title video effect provides you with a choice to add text as Opening Titles, Closing Credits or Title On the Video. When required, this effect also adds a Video Color Clip that provides a solid background color of your choice to the text.
  11. MPEG-4 Support: With Video Edit Magic, you can now add MPEG-4 files to the timeline. The built-in media converter also supports MPEG-4 video files.
  12. VOB and Chapter Support: When you add VOB files with chapters to Video Edit Magic, it will convert the VOB file with all the chapters into a single AVI file.
  13. Support for custom WMV profiles: In Make Movie Wizard, the WMV Properties screen now lets you select a custom profile along with all the standard profiles bundled with Video Edit Magic.
  14. New Picture Arrange Transition: The picture arrange transition lets you place the two video tracks on the same video screen. The transition includes presets using which you can place the videos side-by-side vertically, horizontally or diagonally.
  15. Enhanced Take Snap: The Take Snap option displays three consecutive snaps so that you select the one you want and save the selected snap as a JPEG or a bitmap image.
  16. Align Clips: With this new option present under the Tools menu, you can select two or more clips on the timeline and align them to the start time of the clip with the largest start time (right-most selected clip).
  17. Improved Pixelate Effect: With this improved Pixelate Effect, you can pixelate the video at a constant value throughout the duration of the effect.

What's New in Video Edit Magic 4.0?

  1. Rotation Transform Effect: This new video effect enables you to rotate your videos at any specified angle. This effect also supports other transformation tasks like moving and zooming the videos.
  2. Redesigned Capture Tool: Video Edit Magic's entirely redesigned capture tool makes it very simple to capture footages from your Web and DV Cameras. You can also control your DV Cameras with the new capture tool.
  3. Split Track: The Split Track option provides a quick method to split sources in tracks. Simply move your mouse over sources and click once to split the source.
  4. New Compatibility Tab: Video Edit Magic now has a new and useful feature called the Compatibility Tab. This allows you to disable certain incompatible filters while working with Video Edit Magic, without affecting other applications that might require the disabled filters.
  5. Sorting in Collection Window: Media files, while in the Details View in the Collections Window, can be sorted on the basis of name, media type, duration, video info or audio frequency for better management of media content.
  6. Improved resizing and moving operations: Resizing a source on a track now leaves the position of other sources unchanged with respect to the Timeline. When moving multiple sources across tracks, the alignment of the sources with respect to one another is also maintained. You can also cut copy and paste media files across tracks.

What's New in Video Edit Magic 3.3?

  1. Text Effect: The new “Add Text” feature enables you to treat text as effects. Now you can decorate your videos with multiple text effects and on both the video tracks. You can change the text even after adding the text effect. Also, use the Shadow and Outline text formats to enhance your text.
  2. Narrate into the Timeline: This feature enables you to narrate straight into the timeline using the built-in narration recorder.
  3. Gamma in Color Balance Effect: The Color Balance effect, in addition to Brightness and Contrast, now also lets you change the Gamma of your videos.
  4. Custom Colors in Color Channel Effect: Use custom color with the Color Channel Effect for that perfect touch. The Color Channel Effect is not restricted to absolute Red, Green or Blue colors anymore.
  5. Next and Previous Frames: Accurately edit your videos with frame level precision. These additional player control options let you advance the timeline slider frame by frame.
  6. Customizable QuickTime Movie Making: Make Movie in QuickTime is now completely customizable. Change these properties to suit your perfect requirement.
  7. AVI Codec Determination: Video Edit Magic now correctly determines the codec in use by your AVI files. If Video Edit Magic does not open a file because of a missing codec then it displays the exact codec name.

What's New in Video Edit Magic 3.1?

  1. Smooth Preview: The preview responds extremely quickly when the timeline slider is moved. The effect is a very smooth preview providing better editing capabilities.
  2. Seven New Transitions: Decorate your videos with seven new transitions. These are Cross Fade, Slide, Random Dissolve, Pixelate, Iris, Checkerboard and Stretch.
  3. Quick Start: The Quick Start dialog displays the most frequent operations when Video Edit Magic opens up.
  4. Simple Digital Video Export: The new Digital Video Export utility lets you export a DV AVI files in three simple steps. Select the file that you want to export, seek the Digital Video camera to the desired position and click 'Export'.
  5. Make Movie in MPEG Formats: Movies can now be made in MPEG Formats. This includes MPEG formats required for creating VCD, SVCD and DVDs. Custom MPEG 1 and MPEG 2 file creation is also supported.
  6. Timeline Paging: The slider can be instantly positioned to the beginning or end of the timeline. The timeline can also be scrolled right or left one page at a time.
  7. User Interface Enhancements: Precise position of the slider and sources can be specified directly from the the Timeline window. A separate Timeline Information window has therefore been removed. The Non Red, Luminance and Hue Transitions that were a part of the Key Color Transition can also now be added directly to the Timeline.

What's New in Video Edit Magic 3.0?

  1. Make Movie in QuickTime: Video Edit Magic now supports making movies in QuickTime. This requires the recommended setup of QuickTime installed.
  2. Make Movie in Digital Video AVI: Video Edit Magic also supports making movies in Digital Video AVI Type I and II. The movie can be made in both, NTSC as well as PAL standard.
  3. Four New Effects including Brightness and Contrast: Color Balance (Brightness and Contrast), Posterize, Color Channel and Threshold are the four new effects added to Video Edit Magic.
  4. Picture-in-Picture Transition: A new and a powerful transition - Picture-in-Picture enables you to place videos or images inside other videos and images in any way you want.
  5. Digital Video Manager: Digital Video Manager is a companion program that is bundled with Video Edit Magic. This program will enable you to capture videos from attached Digital Video cameras and export Digital Video AVI files back to the attached camera.

What's New in Video Edit Magic 2.7?

  1. Project Auto Recovery: Project information is saved periodically so that the current project can be automatically recovered after a failure.
  2. Enhanced Key Color Transition: The Key Color transition has been enhanced to provide the "Reverse Transition Input" option similar to all the other transitions. The default values of some key color transitions have been changed to reflect its most common usage.
  3. Display Information: Display Information like Title, Author, Copyright etc. can be viewed or added to Windows Media Format (WMV, WMA or ASF) files even after creating the movie.
  4. Browse for Custom Profiles (2.7.1): Making Movies in Windows Media Format (WMV, WMA or ASF) allow browsing for custom profiles.
  5. Two Mode Linking: Track Linking now works in two modes - when the selection sliders are activated and when they are not. If you unlink a track in one mode, it will not be reflected in the other.
  6. Enhanced Capture: The capture utility has been enhanced to work under certain configurations of Windows 98 and DirectX 9.0. Video Edit Magic is now able to capture using both technologies - the new DirectShow and the old but robust VFW (Video for Windows).
  7. Take Snaps in JPEG: Save your snaps to JPEG with quality ranging from 0 to 100% in addition to Bitmap. JPEG files are smaller in size with comparable quality.

What's New in Video Edit Magic 2.6?

  1. Make Movie Wizard: Make Movie’s user interface has been changed to a simple four step wizard. Now Video Edit Magic takes you step by step through the process of Movie Making. Windows Media Format Properties and AVI Properties are now part of the wizard.
  2. Configure Video Codecs: Video Edit Magic now lets you configure properties of the selected video codec. Codec properties are specific to a codec and help you to fine tune compression parameters.
  3. Image Transform Effect: A whole new and powerful video effect, the Image Transform effect, has been added. This effect lets you Flip, Mirror, Invert etc. your video clips in the timeline.
  4. Fade In Effect: Another new effect, the fade in effect, has been added that lets you gradually fade in your video from a black background.
  5. Effect Settings: Existing effects like Pixelate and Wave and the Image Transform Effect can be further configured by simply double-clicking them.
  6. Source Settings: Source Settings lets you specify the default duration for Image Sources, Effects and Transitions. You can also specify the default duration for Add Text and can configure it to add text to the entire timeline at once.

What's New in Video Edit Magic 2.5?

  1. Enhanced User Interface: The enhanced user interface of Video Edit Magic organizes Media Files, Effects and Transitions in a very effective manner. The Collections window now contains separate tabs for Media Files, Effects and Transitions that results in clearer viewing and handling of Effects and Transitions.
  2. Improved Timeline Handling: The new version of Video Edit Magic sports a completely new and enhanced timeline with primary focus on usability and speed. The new timeline features drag and drop functionality that enables you to drag sources almost anywhere on the timeline within the same type (video, audio, effect or transition).
  3. Full Screen Preview: In addition to the on-the-fly preview, now view your video compositions on the entire screen by switching the preview to full screen.
  4. Faster and Accurate Editing: The Timeline List and the Actions List was removed to make Video Edit Magic even faster. The Timeline Information window enables you to type in values to manipulate the timeline's slider position, zoom factor and the selected source's start and stop time that results in accurate editing.


Media Editing Terminology

Before going ahead with learning media editing with Video Edit Magic, it is essential to understand the terminology involved. Terms related to Media Editing and capturing are used throughout this document.

Timeline

A Timeline is a graphical representation of media files, video effects or video transitions on a time scale. The time scale runs horizontally on the timeline. A Timeline consists of multiple tracks.

Group

A Group categorizes tracks. There are four types of groups in Video Edit Magic

  1. Video Group
  2. Audio Group
  3. Effects Group
  4. Transition Group

Sources in tracks that belong to the same group are represented by distinct colors in the timeline.

Track

A Track is a linear sequence of clips. Each track is associated with a particular group. A track consists of one or more sources.

Source

A source is any media file, video effect or video transition added to and represented in a track in the timeline. A source is added to a track of a particular group. For instance a video file that consists of video and audio both is added separately to a video track and an audio track. Sources can be edited individually.

Media

Video and/or Audio may also be called as media. A media file may contain both Video and Audio or only Video or Audio stream.

Stream

A stream is video or audio data that composes a media file. A single media file may contain one or more video and/or audio streams.

Media Properties

Media Properties defines a video or audio stream.

Video Properties

  1. Dimension: Measured in pixels, dimensions of a video is the height and width of the video. For example, a video of 320 x 240 pixels is 320 pixels wide (width) and 240 pixels long (height).
  2. Color Depth: Measured in bits per pixel (bpp), color depth of a video is the amount of color information it stores per pixel. High color videos are typically of 24bpp.
  3. Frame Rate: Measured in frames per second (fps), frame rate of a video is the number of individual video frames that are displayed per second. Higher frame rates are used to shoot high motion videos.
  4. Bit Rate: Measured in bits per second (bps) or kilobits per second (Kbps), bit rate of a video is the amount of data that can be transferred in one second. Bit rates are directly related to frame rates.
  5. Key Frame Rate: Measured in frames per second (fps), key frame rate of a video is the interval at which a key frame is inserted. Key Frames affects video seeking capabilities and are also used in some high-end compression techniques.

Audio Properties

  1. Frequency: Measured in Hertz (Hz) or Kilohertz (KHz), frequency of an audio is the number of audio samples transferred in one second.
  2. Bit Rate: Measured in bits per second (bps) or Kilobits per second (Kbps), bit rate of audio is the amount of audio data that can be transferred in one second.
  3. Channels: An audio channel forms a part of an audio stream. Mono channel audio have 1 channel per audio stream while Stereo have 2 channels per audio stream.

AVI (Audio Video Interleaved)

AVI is a simple format that is best suited for editing purposes. Video Edit Magic is capable of making movies in AVI format.

Compressor/Codec

AVI files save images sequentially at a particular frame rate. Media files that save uncompressed images, though good in quality, can take up huge amounts of disk space. Media Compressor/Codec significantly reduces the size of AVI files. Video Edit Magic lists all Compressors/Codices installed on a PC. These Compressors/Codces can then be used to compress AVI files. Compression depends on Media Properties and Compressor/Codec in use.

WMF (Windows Media Format)

WMF is a high end video format that is characterized by small size and streaming capabilities. Video files saved in Windows Media Format have an extension WMV (Windows Media Video) and Audio files saved in Windows Media Format have an extension WMA (Windows Media Audio). Some Windows Media Format files may also have the extension ASF (Advanced Streaming Format).

MBR (Multi Bit Rate)

Multi Bit Rate is a type of WMF file that consists multiple video and/or audio streams encoded at varying bit rates. This enables MBR media files viewable over a wider range of bandwidth. For example a video with 7 video streams encoded at bit rates from 16Kbps to 128Kbps can be viewed by audience with internet connection speeds from 16Kbps to 128Kbps. WMF files made for playback on the local computer (not across the internet) are typically not MBR.

Profiles

A Video/Audio Profile is a file that contains information related to media properties. When making WMF files, an appropriate profile is selected. The media properties contained in the profile is then read and a WMF file is made accordingly. Each profile is intended for a particular audience and videos made using a profile targets the intended audience. Video Edit Magic is able to list both system and custom profiles in a PC.

Capture Devices

Capture Devices is a collective term used for video and audio devices attached to your PC that capture video or sound. Web Camera (WebCam), DV Camera etc. qualify as video capture devices while microphones are audio capture devices. Video Edit Magic can use and capture from all capture devices.


Understanding the Workspace

Video Edit Magic's workspace consists of four distinct windows. Each window can be individually moved, resized and re-arranged according to your preferences. Once re-arranged, the windows stay that way when Video Edit Magic is reopened. To restore the default arrangement select Arrange All from the Windows menu. The workspace can be configured by using the options window. If you have resized the Timeline, you can use the Arrange> Respective to Timeline option. This will resize and reposition the other windows so you can continue working effectively with the resized Timeline.

This section explains the workspace of Video Edit Magic and the various windows involved.

  • Collections
  • Timeline
  • Preview
  • Options


Collections Window

The Collections Window displays all the media files, video effects and video transitions available to you for editing and forms the upper left window by default. The Collections Window further consists of more sections.

Media Files

This section lists the media files available to you for editing. The view of this section can be changed by selecting Small Icon, Large Icon, List or Detail from the View menu. The view can also be changed from the view buttons on the toolbar. When in the Detail view, the media files section also displays video and audio information related to the media file.

Video Effects

This section displays all the video effects that you can use with your composition.

Video Transitions

This section displays all the video transitions that you can use with your composition.

Instant Preview

Selected media files, video effects or video transitions from the respective tabs can be instantly previewed in the instant preview on the top-left corner of the collections window. The play/stop button plays and stops the preview whenever desired. The seek slider seeks the preview to any desired position within the preview duration.

Information

Information related to the selected media file, video effect or video transition from the respective tabs is shown besides Instant Preview.


Timeline Window

The timeline is a time scale for your media where all the action takes place. After including your media files into your project, you need to drag them from the Collections Window into the timeline. Only in the timeline can you give effects and transitions to your media clips, edit them using the advanced cut, copy and paste functions, alter their duration and frame rate and much more.

The timeline is further composed of many elements and are briefly explained below:

Scale

The Scale expressed in the format "Hours:Minutes:Seconds.Milliseconds" represents time in the timeline. All tracks and sources in the tracks are displayed against this scale. More...

Video Tracks

Video Tracks represent video sources on the timeline. When a video clip is added to the timeline then the video stream is represented as a source on the video track. Video Edit Magic has two video tracks - Video 1 and Video 2. A source in Video 2 completely overlaps sources in Video 1 unless a transition is applied between them.

Audio Tracks

Similar to Video Tracks, Audio Tracks represent audio sources on the timeline. When a video clip with audio or an audio clip is added to the timeline then the audio stream of that clip is represented as a source on the audio track. Like Video Tracks, Video Edit Magic has two audio tracks - Audio 1 and Audio 2. A source in Audio 2 mixes with sources in Audio 1. The ratio of audio mixing is determined by the volume tracks.

Video Effect Tracks

Every video track has an associated effect track. The Effect Track can be shown or hidden by clicking the Show/Hide Track arrow present on every video track. An effect source is represented on an Effect Track in the timeline. An effect is applied to a single video track and only affects the sources in that video track. More...

Video Transition Tracks

Between two video tracks - Video 1 and Video 2, there is a transition track that represents transition sources in the timeline. A transition, unlike effects, applies to two video tracks. More...

Volume Tracks

Every audio track has an associated volume track. The volume track, like the video effect track, can be shown or hidden by clicking the Show/Hide Track arrow present on every audio track. A volume track is used to vary volume of its corresponding audio track over time. More...

Sliders

The timeline consists of two types of sliders, the seek slider and the selection sliders. The seek slider is used to seek in the timeline while the selection sliders are used to select a range in the timeline. More...

Timeline Controls

The timeline controls are used with the timeline to provide for advanced editing and timeline handling. Zoom In/Out, Add/Remove Marker, Show/Hide Sliders present on the top left corner of the timeline constitute the timeline controls.

Link, Lock and Hide Options

These options are present on every track in the timeline. They modify the way sources in a track are edited. For instance the Lock option prevents any accidental editing of sources in a locked track. More...


Preview Window

The Preview Window is directly related to the timeline and displays the video/audio contents represented on the timeline. The seek slider in the timeline is used to seek the preview to any position on the timeline. The preview is used to see how your composition on the timeline is shaping up on-the-fly.

The Preview Window can be further divided up into more elements.

Preview

This is where the preview of the timeline is actually displayed. The size of the window can be altered by selecting the project dimensions when creating a new project.

You can also preview the timeline in full screen. Select Full Screen Preview from the Tools menu or press Ctrl+Q to switch to full screen mode. To switch back to normal mode press Alt+Tab.

Preview Controls

The preview controls enable you to Play, Stop, Pause, Forward and Rewind the preview. These controls behave similar to controls in any media player.

Preview Volume

Volume of the preview can be changed by clicking the volume button. Change the volume from the drop down that appears.

Preview Display

The preview window also displays the current slider position in the timeline and the duration of the timeline. The preview display on the bottom left corner of the preview window displays the current slider position and the preview on the bottom right corner of the preview window displays the timeline duration. The time for both the displays is expressed in "Hours:Minutes:Seconds:Milliseconds".

Seek Bar

The Seek Bar is used to seek the preview to any position. In addition to the seek slider in the timeline, the seek bar in the preview can also be used.


Options Window

Video Edit Magic allows you to set preferences for the colors of the timeline tracks and choose a Working Folder on your computer where you can store all your project files and rendered media files. To access the preferences, click Tools > Options. You will now see each of the preferences in detail. The preferences are grouped under two separate tabs.

General

These are the common options that Video Edit Magic allows you to set.

Preview video after making movie

If this option is checked then video is automatically previewed in the default media player after the movie making is complete.

Fit to timeline when adding sources

If this option is checked then the zoom factor is automatically adjusted when sources are added to the timeline such that the sources are completely visible in the timeline without having to scroll the timeline.

Save Auto Recovery Information Every...

Video Edit Magic can save Auto Recovery Information periodically so that your project can be restored after a crash. Select this option to enable saving Auto Recovery Information and specify the period between 1 to 60 minutes. The default is 5 minutes.

Open Settings dialog when adding Effects and Transitions

If this option is checked then the Effects and Transitions settings window gets automatically opened when Effect or Transition with some settings is added to the timeline.

Disable Hardware Acceleration during make movie and conversion

This option is used when converting MPEG 2 files to AVI or making movies in MPEG 2 format, since fewer system resources are used when hardware acceleration is disabled. By default this option is unchecked. Disabling Hardware acceleration using this method causes a black screen to appear before and after conversion. Alternatively, you can disable hardware display acceleration system-wide using the Windows Control Panel 'Display' applet. This avoids blanking the screen before and after conversion. However some applications need display acceleration enabled to run properly (e.g. video games).

Reset Warning Dialogs

To see any hidden warning messages, click on Reset Warning Dialogs button. Warning messages are hidden when you select the 'Do not show this message again' check box.

Clear Recently Added Files and Projects

To clear all the recently accessed files and projects, click on Clear Recently Added Files and Projects button.

Source Settings

Default Durations

These settings are used to select the default duration for Image Sources, Effects and Transitions. By default, an Image Source is added with a duration of 5 seconds, an Effect with 10 seconds and a Transition with 1 second. To change the source settings, type the values in Hours, Minutes, Seconds and Milliseconds against the source.

Color Settings

Video Edit Magic allows you to set the colors for the tracks in the timeline: the Video, Effects, Transitions and the two Audio tracks. To change the color of a track:

  1. First click its corresponding 'Change' button.
  2. Select the color of your choice from the ‘Basic Colors’ palette.
  3. To see a wider choice of colors, click the ‘Define Custom Colors’ button.
  4. Select a color by clicking on the color matrix and sliding the vertical slider to control the brightness of the color.
  5. You may even enter the HSL or RGB values directly to create your custom color.
  6. Click ‘OK’ to save your choice and exit from the Color menu.

Click 'Apply' to refresh your timeline view using the newly selected colors.

Compatibility

This option lists all the compessors on your PC. Some of the compessors that are being used by other programs might cause problems while working with Video Edit Magic. So you can disable them by unchecking them from the list to avoid any trouble caused by them such as system crashes, missing audio and video streams etc. Disabling them for this application will not affect other programs.


Getting Started with Editing

The previous sections briefly explained the workspace of Video Edit Magic. This section will present the steps necessary to prepare Video Edit Magic for editing and getting started with editing.

An editing project must be carefully planned by first selecting the media files that will appear in your final composition and then preparing a preliminary rough sketch of how you will go about creating your composition.

After the initial plans, editing usually involves three major steps

  1. Opening files in the media list and adding them to the timeline so that they are available for editing.
  2. Editing the media files in the timeline and decorating them with Effects and Transitions
  3. Saving your final composition by making a movie.

There are many more things that you can do apart from the usual steps involved in editing. These steps make editing simpler and provide additional yet essential functionality.

The steps listed below prepare Video Edit Magic for editing

  • Opening Media Files
  • Preparing for Editing
  • Having Trouble Opening Media Files?


Opening Media Files

The first step in editing is to open your media files in the Collections Window. The files that you open are listed under the Media Files tab. The view of the Media Files list can be changed to Small Icon, Large Icon, List, Detail or Thumbnail by selecting the desired view from the View menu.

When in the Details view, the Media Files list also shows information related to the listed files. You can sort the Media files on the basis of these details by clicking on the Tab corresponding to the detail. For example, to sort 3 media files in the alphabetical order of their names, click on the Name Tab.

If the media file being opened has some problem then an error report is shown. Learn more about Trouble Opening media Files.

Media Files can be added to the Media File list in three different ways:

Individually Adding Files

The first method of adding the media files is by individually selecting them and opening them. To do so

  1. Select Open from the File menu. The Open File button on the toolbar or the shortcut key Ctrl+I can also be used.
  2. Select Video Files, Audio Files, Image Files or All Supported Media Files from Files of Type depending on the type of file that is to be opened.
  3. Navigate to the desired folder and select all the files that is to be added to the Media Files list and click Open.

The selected files are verified and opened one by one and listed in the Media File list. Media files can be previewed by selecting them. The preview is displayed in the Instant Preview on the top left corner of the Collections Window. File information related to the selected media file is also displayed along side the Instant Preview.

More operations can also be carried out on the Media Files list

  1. To close a file, select the file to be closed and select Close from the File Menu. The selected file can also be closed by right-clicking it and then selecting Close from the context menu.
  2. To preview a file in the default media player, select the file to preview and select Preview from the File Menu. The selected file can also be previewed by right-clicking it and selected Preview from the context menu. The shortcut key Ctrl+W can also be used.

Opening Projects

Media files can be brought into the Media File list and timeline by opening an existing project. To do so

  1. Select Open Project from the File menu. The Open Project button from the toolbar or the shortcut key Ctrl+O can also be used.
  2. Navigate to the desired folder and select the project file to be opened and click Open.

All the files in the selected project are verified and opened one by one and listed in the Media File list. The timeline is then consequently built.

Video Edit Magic does not distinguish between files added individually and files belonging to a project. Once a project is opened, more media files can be opened by adding them individually.

Learn more about Working with Projects...

Adding from the Capture Utility

Media files can also be added by the capture utility. The capture utility, invoked by selecting Tools > Capture, has options to add snaps and captured files from external devices to the Media File tab in the Collections Window. Once added to the Media Files list, captured files are treated as normal files and can be worked upon like normal files.

NOTE:

You cannot add the same media file to the Collections Window twice.

Learn more about Capturing Media...


Preparing for Editing

Once the files are opened in the Media Files list in the Collections window, they are available for editing. To edit these files they must be added to the timeline.

Adding Media Files to the Timeline

To start editing your media files and give them Effects and Transitions, they must be added to the timeline. To add media files to the timeline

  1. Select one or more media files from the Media Files list in the Collections Window.
  2. Select the Video and Audio track in the timeline. A thin line appears around the selected track. Video Tracks and Audio Tracks are independently selected.
  3. Go to Edit > Add to Timeline or use the F2 shortcut key to add the selected file to the selected tracks in the timeline.

Media files can also be added to the timeline in many other ways

  1. Right click the selected files and then select Add to Timeline from the context menu.
  2. Right click the selected files and go to Add to Track. A list of all possible combinations of tracks to which the media files can be added will be presented. Select the desired combination. For example selecting Video 1 and Audio 2 from the Add to Track sub menu, the video streams of the selected media files will be added to Video 1 and the audio streams of the selected media files will be added to Audio 2. This option works irrespective of the selected tracks in the timeline. Therefore even if Video 2 and Audio 1 tracks in the timeline are selected, the Video 1 and Audio 2 combination will add the selected media files to Video 1 and Audio 2 only and not to Video 2 and Audio 1.
  3. Drag the selected media file to the timeline. This will add the streams of the media file to the selected video and audio track in the timeline.

If the "Fit to timeline when adding sources" option is selected in the General tab of the Options window (Tools > Options), the timeline is automatically zoomed out to accommodate the entire length of the added source(s). Clear the option from the Options window if this behavior is not desired.

Zooming the Timeline

In case the "Fit to timeline when adding sources" is not selected, the media file that you drag into the timeline may be of a very long duration. The complete file will not be visible to you. If you wish to see the complete file, you may zoom out of the timeline using the Tools > Zoom out Timeline Scale menu option. Continue zooming in or out of the timeline view until you arrive at a view that is comfortable for your editing purposes. Most users prefer to zoom out only to see an overview of their media in the timeline and work in a zoomed in view at all other times.

Previewing the Timeline

Now that the sources are added to the timeline, they can be previewed. Just click the Play button in the Preview window and watch the preview of your timeline. The position of the seek slider in the timeline and the seek bar in the Preview is also changed to reflect the position that is being currently previewed. The seek slider can be moved by dragging it from its handle. When the seek slider is moved, the preview also changes to reflect the current slider position. The same can be done with the seek bar in the Preview window. As you continue editing your files in the timeline, applying Effects and Transitions to them, you will have to preview your timeline frequently.


Having Trouble Opening Files?

Video Edit Magic has been enhanced to not only give you 'More Information' on why the media file did not get added but also suggest ways to help you add the file for editing. This troubleshooting section discusses the messages you may receive when trying to add media files to the Collections window.

Most of the common file adding problems can be solved in one of the following ways:

  1. Make sure you have the latest version of DirectX. Often installation of other video programs, brings with itself incompatible decoders, that may cause Video Edit Magic to fail. Hence, you can try re-installing the latest version of DirectX. You may download the latest version of DirectX from:
    http://www.microsoft.com/windows/directx/default.aspx?url=/windows/directx/downloads/default.htm

  2. Make sure you have the latest version of Windows Media Player installed for Windows XP or newer operating systems. To download Windows Media Player, visit: http://www.microsoft.com/windows/windowsmedia/player/11/default.aspx

  3. For Window 2000 operating system or older, make sure you have Windows Media Player 9 installed on your PC. You can download Windows Media Player from the following URL: http://www.microsoft.com/windows/windowsmedia/player/9series/default.aspx

  4. Try playing the file in Windows Media Player. The player may be able to determine, download and install the appropriate compressors required to play the file.

  5. If you are unable to add a QuickTime MOV file, make sure you have the latest QuickTime player installed on your PC. Reinstalling the latest version QuickTime player may solve the problem. QuickTime Player's online or standalone installer can be obtained from the URL: http://www.apple.com/quicktime/products/qt/.

  6. If you are unable to add a MPEG-2 or VOB file, make sure you have the latest MPEG-2 decoder installed on your PC. The setup can be downloaded from: http://www.deskshare.com/download/mpeg2decoder.exe

  7. If you are unable to add a MPEG-4 file, make sure you have the latest MPEG-4 decoder installed on your PC. The setup can be downloaded from: http://www.deskshare.com/download/mpegabledsdecoder.exe

  8. If none of the above solutions work, you can look into the more specific messages given below or visit Video Edit Magic Support Forum at http://www.deskshare.com/forums/default.aspx

The following are few common messages that you may get when you are trying to add a media file in Video Edit Magic:

The video in this media file cannot be rendered. A video codec required to play this file is missing.

This message is shown when the necessary video codec required for rendering the video data is not present. For example if you are trying to add a DivX encoded file then the DivX codec needed to play the file should be installed on the PC. The message may include the missing video codec name. You can take the following steps to include such a file.

  1. Click 'Download DivX'. Video Edit Magic will open up the DivX download page. You can then download and install it on your PC.
  2. After downloading and installing the codec click 'Retry'. Video Edit Magic will reattempt to include the file. However certain codecs cannot be recognized unless the the application is re-launched.

If your still not able to include the file try opening your video file in Windows Media Player. The player may be able to determine, download and install the appropriate compressors. If Windows Media Player cannot determine the required compressor and you know which compressor is needed to play the file then you can search and download it from the internet.

The audio in this media file cannot be rendered

This message is shown when the appropriate audio codec in use by the file is not installed on your computer. This message is similar to the above message. For example, an audio codec in use by a WMV file is absent. On opening the file in Windows Media Player, the player may be able to determine, download and install the appropriate compressors. If Windows Media Player cannot determine the required compressor and you know which compressor is needed to play the file then you can search and download it from the internet.

Some of the streams in this media file are in an unsupported format

This message is shown when either the video or audio data present in the file could not be read. Windows Media Player does not have the ability to play all types of files. For example, you will not be able to view an MPEG2 file without having appropriate MPEG-2 Video Decoder installed on your PC.

There are two types of MPEG files, MPEG – I and MPEG – II. Video Edit Magic completely supports converting
MPEG – I files. MPEG – II files can be edited with Video Edit Magic only when:

  1. An appropriate MPEG video decoder is installed.
  2. The MPEG decoder is correctly configured.
  3. The MPEG decoder has features capable of editing Media Files.

Incorrect decoder or configuration can result in unexpected results. If you already have MPEG hardware or software installed on your system, it is very likely that the hardware/software might have installed its own set of MPEG decoders. If the file is MPEG-2, VOB or DVR-MS format then Video Edit Magic may prompt you to download and install the "Free MPEG-2 Decoder". These set of decoders have been optimized for its use with Video Edit Magic, hence DeskShare strongly recommends to download and install it. These set of decoders are safe and can be installed even if you have other MPEG-2 Decoders installed on your PC. Irrespective of the compatibility settings, if you have the "Free MPEG-2 Decoder" decoders installed then Video Edit Magic will give priority to it over any other MPEG-2 Decoder.

You can take the following steps to include such a file:

  1. Click 'Download GPL Decoders'. Video Edit Magic will prompt you to 'Run' or 'Save' the decoder setup. The "Free MPEG-2 Decoder" setup can also be downloaded separately from http://www.deskshare.com/download/mpeg2decoder.exe
  2. Click 'Run'.
  3. After the installation is complete click 'Retry'. Video Edit Magic will reattempt to include the file for conversion. However certain codec's cannot be recognized unless the the application is re-launched.

Video Edit Magic does not support DVR-MS files

DVR-MS cannot be opened and edited using Video Edit Magic.

Copy Protection Error - The read failed because the sector is encrypted.

Video Edit Magic does not support adding Copy Protected files and may give this message.

Conversion of files taken directly from a DVD is not supported. Please copy your files to a local hard drive and then try adding it again.

Video Edit Magic cannot convert VOB files included directly from a DVD. You can copy the files over to one of your hard disk drive and then try adding.

Video Edit Magic does not support encrypted VOB files

Encrypted VOB files are not supported by Video Edit Magic and they cannot be opened and edited.

Opening VOB file with chapters

Video Edit Magic does not add a VOB file with chapters to the Timeline. You are prompted to convert it AVI. Say yes to use Video Edit Magic's Conversion Wizard which extracts and combines all chapters to make an AVI file. You can now work with this AVI file which is automatically added to the Collections window.

No combination of filters could be found to render the stream of this media file

This message reports the absence of one or intermediate filters required for rendering the media file. For example, if the media file is a 24-bit RGB color and the appropriate filter to render this RGB type is absent.

No combination of intermediate filters could be found to make the connection

This message is shown when no combination of intermediate filters could render the media file. This is similar to the message above.

The source filter for this media file could not be loaded

This message is shown when the codec required for rendering the media file could not be loaded. For example Windows Media Player gives a similar message if you try to load a QuickTime MOV file which it does not support. Try updating Windows Media Player to the latest version. You can then try and play the source file with the player and see if it works.

The file format is invalid

This message is shown when the format of the file is such that it cannot be rendered. For example, if you rename a Word File (.doc) to .mpg and try rendering that file then Windows Media Player gives a similar message.

The media type of this file is not recognized

This message is shown when the media type reported by the file cannot be recognized or determined by Windows Media Player.

Cannot play back the file: the format is not supported

This message is shown when the appropriate codec in use by the media file is not installed on your PC. For Example you may get this message when trying to include a MPEG-4 file and the required decoders are absent. Video Edit Magic may prompt you to download 'MpegableDS Decoders'. You can take the following steps to include such a file:

  1. Click 'Download MpegableDS Decoders'. Video Edit Magic will prompt you to 'Run' or 'Save' the decoder setup. The 'MpegableDS Decoders' can also be downloaded separately from http://www.deskshare.com/download/mpegabledsdecoder.exe
  2. Click 'Run'.
  3. After the installation is complete click 'Retry'. Video Edit Magic will reattempt to include the file for conversion. However certain codec's cannot be recognized unless the the application is re-launched.

If your still not able to include the file try opening your video file in Windows Media Player. The player may be able to determine, download and install the appropriate compressors. If Windows Media Player cannot determine the required compressor and you know which compressor is needed to play the file then you can search and download it from the internet.

QuickTime 7 is recommended for rendering this kind of file.

This message is shown when your trying to add a QuickTime MOV file for conversion but your PC does not have the installation of QuickTime 7 or higher. To allow Video Edit Magic to include QuickTime MOV files for conversion take the following steps:

  1. Click Download QuickTime Player 7.
  2. Video Edit Magic will launch the site to allow you to download the QuickTime Player's online or standalone installer
  3. After downloading and installing the player click 'Retry'. Video Edit Magic will reattempt to include the file for conversion. However certain codec's cannot be recognized unless the the application is re-launched.
Unable to open this file because the file could not be rendered

This message is shown when the file open operation fails. This file might be a non standard QuickTime MOV file. Try opening the QuickTime file with the QuickTime Player.

Unable to open 0KB file

This message is shown when the file size is 0KB.

This file is protected by Digital Rights Management. It cannot be opened

This message is shown when file is protected by the content owner and/or broadcaster and it cannot be played back. This message can appear for Windows Media Format files (.wmv, .wma, .asf)

My Image is Upside down

  1. In Video Edit Magic, from the Collections window click on the Media Files tab.
  2. Drag and drop the Video File under the Media Files tab to the timeline.
  3. In the Collections window, select the Video Effects tab.
  4. Under the Video Effects tab, select the Image Transform effect.
  5. Drag and drop the Image Transform effect to the Effect track of the Timeline.
  6. In the Effect Image Transform dialog, check the Flip Horizontally option.
  7. Click OK.

Opening 16 color Bitmap files

Video Edit Magic may prompt you to convert your bitmap file to a higher color bitmap file is the file you are trying to open has a color depth of 16 color or lower. If you say yes, Video Edit Magic will convert it to a higher color bitmap.


Media Editing with Video Edit Magic

The previous sections explained the workspace of Video Edit Magic briefly, the methods to open file in the Media Files list and preparing Video Edit Magic for editing. Now it is essential to first understand the timeline and its various tools with an editing perspective and then learn basic editing operations like cut, copy, paste, delete and crop. Following basic editing, this section goes further to explain functionalities that enhance editing operations.

This section consists of these topics

  • Understanding the Timeline
  • Previewing the Timeline
  • Understanding Link, Lock and Hide Options
  • Dragging Sources
  • Moving and Resizing Sources
  • Deleting, Cutting, Copying and Pasting Sources
  • Cropping Sources
  • Undoing and Redoing Actions
  • Using Stretch Mode


Understanding the Timeline

The first step towards producing good compositions, it is essential to understand the timeline. The timeline has been discussed briefly previously in this document. Now the timeline must be understood with an editing perspective.

Complete View of the Timeline

This figure shows a portion of the timeline resized to accommodate the entire contents of the timeline. None of the components of this timeline are hidden so that they can be clearly identified and understood.

First Glance

Out of the many components that make up the timeline of Video Edit Magic, the most prominent are tracks. These are the multiple horizontal bars that run across the entire stretch of the timeline. There are in all nine tracks in Video Edit Magic. Each track is labeled such that it relates to a group. If the tracks are to be categorized as groups then the tracks can be identified as:

  1. Two Video Tracks labeled Video 1 and Video 2 respectively.
  2. Two Effect Tracks labeled Effect. One is associated with Video 1 and the other with Video 2.
  3. A single Transition Track, labeled Transition, between the two Video tracks – Video 1 and Video 2.
  4. Two Audio Tracks labeled Audio 1 and Audio 2 respectively.
  5. Two Volume Tracks labeled Volume. One is associated with Audio 1 and the other with Audio 2.

Track Selections

One track out of the two video tracks can be selected and one track out of the two audio tracks can be selected. A selection is displayed as a thin line around the video and the audio track. Video and audio tracks can be individually selected. In the figure, Video 1 and Audio 1 tracks are selected (labels appear in bold). The Transition track cannot be selected. The Effect Track and the Volume Track can be selected only along with its corresponding Video or Audio track.

When the selection sliders are visible then a range of timeline is selected. The range of a track that is selected appears with a dotted rectangle spanning the selection sliders. The Link, Lock and Hide option can result in a track not being selected.

When the selection sliders are not visible then the sources in all tracks can be selected by clicking on them. A dotted line appears around the selected source or sources. Multiple sources can be selected by pressing the Ctrl key and then clicking a source.

Hiding/Showing Tracks

The Effects and Volume tracks can be hidden or shown as desired. To hide/show effects track click the white square besides video track labels. The volume tracks can also be hidden or shown in a similar fashion. When Video Edit Magic is opened, the Effect Track associated with Video 2 and both the volume tracks are not shown.

The Scale

A scale, right at the top of the timeline represents time. Time is expressed in the format “H:MM:SS.LLL”. The first digit expresses hours (H), the next two minutes (MM), the next two seconds (SS) and the last three, after a decimal point, milliseconds (LLL) (1000 millisecond equals 1 second). All the tracks below this scale plot their contents as per the scale. The scale can be zoomed in and out by clicking the Zoom In and Zoom Out button from the timeline controls at the top left corner of the timeline (first two buttons). Zooming In and Out the Scale essentially means zooming in and out the timeline as the tracks use the scale to plot (display) their contents. The timeline can also be zoomed by going to Tools > Zoom In Timeline Scale and Tools > Zoom Out Timeline Scale or using the shortcut keys F6 and F7 respectively.

Function of different types of tracks

A track in general represents a stream of the added media file, an effect, a transition or volume variation corresponding to their types. When a media file that contains both audio and video is added to the timeline, the video stream of that file is added to the selected video track and the audio file is added to the selected audio track. The duration of the clip is represented on the track and plotted against the scale. In Figure 1, two separate media files – NewYear.wmv and XMas.mpeg are shown added to the timeline.

Streams, effects or transitions added to the timeline are collectively referred to as sources. The sources on the timeline are labeled by the file names, effect names or transition names. For instance the video stream of the file NewYear.wmv is displayed in Video 1 and the audio stream of the same file is displayed in Audio 1. The Effect and Transition tracks are similar to Video and Audio tracks except that they display effects and transitions (sources) respectively rather than video and audio streams and are labeled so. Each source can be can be individually or multiply selected by clicking on them. The volume tracks are unlike any other tracks. They display volume variation.

Learn about Using Volume Tracks…

Sliders

The timeline also has three sliders running vertically across the height of the timeline. Each slider has a handle (in the scale) that is used to reposition them anywhere in the timeline. The slider with the blue handle is the Seek Slider and the sliders with the red handles are the Selection Sliders. The seek slider is used to preview the timeline. The sources that lie at the position (time) of the slider is displayed in the preview window. The seek slider is also used while editing.

To move the seek slider, drag its handle along the timeline. For better editing, you can also select the slider by clicking its handle and then tapping the Left and Right arrow keys to move the slider. To nudge the slider one millisecond at a time, hold down the Shift key while using the Left and Right arrow keys. When you select the seek slider or click anywhere on the scale, a small east-west double-headed arrow appears on the seek slider's handle.

The selection sliders, a start selection slider and an end selection slider, are not always visible. To bring them up click the Show/Hide Selection sliders button from the timeline controls at the top left corner of the timeline (last button) or select Selection Sliders from the View menu. The shortcut key F5 can also be used. The selection slider selects a range in the timeline. The selected range can then be edited. The Link, Lock and Hide options modify the way a range is selected.

Learn about Link, Lock and Hide Options…

Markers

Markers are cueing tools that are used to mark a particular position in the timeline. Markers can be added and removed to the timeline as desired by using the Add/Remove Markers in the Timeline controls at the top left corner of the timeline (middle two buttons).

Learn about Using Markers…


Previewing the Timeline

Video Edit Magic provides on-the-fly preview of the timeline in the Preview window. The preview window always displays the video at the position of the timeline's slider. Drag the timeline's slider to preview any portion of the timeline.

You can also use the preview window as a media player for your timeline. To control the preview click the Play, Pause and Stop, Rewind and Forward buttons. The Previous Frame and Next Frame buttons lets you preview your timeline frame-by-frame for precise editing.

Full Screen Preview

To preview the timeline in full screen, point to the View menu and click Full Screen Preview or use the Ctrl+Q shortcut key. To switch back to normal mode press Alt+Tab or Ctrl+Q again.


Understanding Link, Lock and Disable Options

Video Edit Magic: Understanding Link, Lock and Hide Options

Understanding Link, Lock and Hide Options

The Link, Lock and Hide option alter the way a track is displayed or selected. These options can be used to selectively edit and preview the timeline. The Link, Lock and Hide buttons form three separate columns across the length of the timeline at the left edge of the timeline. Each track, except the volume track, contains all the three options. The Volume Tracks lack the Link Option. These options for a track can be toggled by clicking on the respective option for the track under consideration.

The Lock Option

The Lock Option forms the first column and the first option for every track in the timeline. When a track is locked, an image of a door lock is displayed and any sources in a locked track appear disabled (grayed). Volume graphs in a volume track also appear grayed.

The Lock option is used to prevent accidental editing. Drag, Cut, Copy, Paste, Delete, Crop, Move and Resize (All editing operations) do not affect locked tracks. No sources can be moved in or out of a locked track. A locked track cannot be selected.

The Hide Option

The Hide option forms the second column and the second option for every track in the timeline. Enabled video, effect and transition tracks are shown with an eye image and enabled audio and volume tracks are shown with an audio image. No image is shown when a track is hidden.

Hidden tracks remain in the timeline but are not shown in the preview. This option is very important when the timeline is to be viewed without a particular track without deleting the contents (sources) in that track. For example to preview the timeline without the effects, hide the effects track or to preview the timeline without the audio, hide the audio track. The Hide option is particularly important to turn off volume variations.

The Link Option

The Link Option forms the third column and the third option for every track except the volume tracks in the timeline. The volume tracks do not have the Link option. A linked track is shown with a chain link image. No image is displayed when the tracks are not linked.

Tracks that are not linked are not selected during range selection (when selection sliders are visible). The Link option can therefore be used to selectively edit sources in a track. The sources can however be selected when the selection sliders are not visible irrespective of the Link state of the track. The Link option also affects the way the timeline responds when a source is dragged and dropped.

Learn more about Dragging Sources…


Dragging Sources

Dragging and Dropping sources is the most intuitive ways of shuffling sources around the timeline. A source can be dragged and dropped to anywhere in the timeline provided that it is dropped in the track belonging to the same group. For example video sources cannot be dragged and dropped to effect, transition or audio tracks.

Dragging and Dropping Sources

When a source is dragged, a trail appears that shows where the source will be dropped. When a source is dropped then all the sources after the source to be dropped in linked tracks is moved by the length of the dropped source. Unlinked tracks remain unaffected.

In this figure, the video stream of the NewYear.wmv from Video 1 is dropped to the beginning of Video 2. Notice blue triangles appear that signifies that the sources that will be moved. The blue triangle does not appear on any source in Audio 1. This is because Audio 1 track is unlinked.

TIP:

While you are working on the Timeline, simply move the mouse pointer over any source to view the time duration for which the source will be active.


Moving and Resizing Sources

Any source in the timeline can be moved or resized easily. In addition to dragging sources, they can also be forced to move in the same track. The duration of the sources can be changed by resizing the sources

Moving Sources

In addition to dragging sources, to move a source to a different location on the same track, simply select it with the mouse, press the Ctrl key, and drag it to the desired location. You may even select the source and move it by tapping the Right or Left arrow keys. Keep the Shift key pressed if you want the movement to be slower.

Multiple sources can be moved together in the same track or in different tracks relative to one another. For instance, you can move two videos, say clip 1 and clip 2, present in the video 1 and video 2 tracks respectively. The two videos can be moved in their respective tracks while maintaining their relative positions with respect to one another. Select the desired tracks, while pressing the Ctrl key and move the sources together using the arrow keys on the keyboard. This is very important when the alignment of two videos or the video and audio streams of the same media file is to be maintained while moving them.

Resizing Sources

To resize a source, use the mouse to grab the triangle at the top right hand corner of the clip and drag. This will change the duration of the clip. Whenever you resize a clip, the speed at which the video or audio is played, changes.

For example if an audio clip is 10 seconds long and contains 20 beats of the drum, 2 beats will be audible every second. If you change the duration of this clip to 5 seconds by dragging it, you will hear 4 beats in a second. Technically this is called as a pitch shift.

If the duration of a video file is reduced, it will play faster than normal and if the duration is increased, it will appear to play in jagged slow motion. Thus, resizing sources drastically is not a good idea. However it is an easy way of changing the speed of the media that is being played in that clip.

You may select multiple sources and resize them together. This helps when video and audio belonging to the same file needs to be resized.

When you have more than one source on a track, then resizing one of the sources will not affect the position of the other sources. Their original position with respect to the timeline remains the same. To view the time duration for which the source will be active, simply move the mouse pointer over the source.

Restoring a Source to its original size

If you have resized the source and do not like the effect, you may restore it back to its original size (duration). Just select the media clip and choose Edit > Restore Size.


Deleting, Cutting, Copying and Pasting

Deleting, Cutting, Copying and Resizing are basic operations that can be carried out on the timeline of Video Edit Magic. This topic describes each of these operations one by one.

Deleting

To delete a selected source simply select it and choose Edit > Delete or press Del on the keyboard. A deleted source is cleared from its current location in the timeline.

When a single source is selected then a delete operation will delete the selected source. When multiple sources are selected then all the selected sources are deleted. Deleting a range will delete the sources entirely or partially from tracks that are linked, not locked and fall in the selection. This operation is applicable to all tracks in the timeline.

Cutting

To cut a selected source simply select it and choose Edit > Cut or press Ctrl+X on the keyboard. A cut source is deleted from its current location in the timeline. This is an effective tool if you wish to move media from one location to another, in your timeline.

When a single source is selected then a cut operation will cut the selected source. When multiple sources are selected then all the selected sources are cut. Cutting a range will cut the sources entirely or partially from tracks that are linked, not locked and fall in the selection. This operation is applicable to all tracks in the timeline.

Copying

Copying a source does not delete it from the current location in the timeline. This is the preferred method of duplicating a media selection in the timeline. To copy a source, select it and choose Edit > Copy or press Ctrl+C on the keyboard.

When a single source is selected then a copy operation will copy the selected source. When multiple sources are selected then all the selected sources are copied. Copying a range will copy the sources entirely or partially from tracks that are linked, not locked and fall in the selection. This operation is applicable to all tracks in the timeline.

Pasting

A Cut or Copy command is usually followed by a Paste command. Pasting a cut or copied source, inserts it at the current slider position in the timeline.

Pasting within the same track: You can paste multiple sources within the same track by performing the following steps:

  1. Cut or copy source(s) using any selection method.
  2. Position the slider to where you want to paste the cut or copied sources.
  3. Choose Edit > Paste from the menu or Ctrl+V from the keyboard to paste at the current slider position.

Pasting across tracks: You can paste a single source on to a different track. For instance, if you want to copy and paste a video source from Video 1 track to Video 2 track, perform the following steps:

  1. Select the Video 1 track.

  2. Cut or copy only that video source using any selection method.

  3. Position the slider to where you want to paste the cut or copied source.

  4. Select the Video 2 track.

  5. Choose Edit>Paste from the menu or Ctrl+V from the keyboard to paste at the current slider position.

Note

When multiple sources are cut or copied using multi selection then they are all pasted at the current slider position irrespective of their relative positions. In contrast to this, when multiple sources are cut or copied using range selection then they are all pasted at the current slider position and their relative positions are maintained. For example, if a video source started at the 10th second and an audio source started at the 15th second when they were cut or copied using range selection (selection sliders are visible) then pasting them will keep a difference of 5 seconds between them. If both of these sources were cut or copied using multi-select (sources are selected individually - selection sliders are not visible) then both are pasted at the slider position starting from the same time.

Learn about Track Selections...

If the slider is positioned over a source in any track then that source will be split into two before a paste is performed. Sources are pasted to tracks that are not locked. The link state of a track does not effect a paste operation.


Cropping

Video Edit Magic even allows you to crop a source. You may simply select the source (s) or a part of a source that you wish to retain and crop the rest of the timeline. You may even crop only the sources in which you have made selections and leave the unselected ones as they were.

Cropping the entire contents of the timeline

This option allows you to select a source or a part of the source and then delete all the unselected content on the timeline. This is very convenient when you have imported a media file into the timeline and want to retain only a section of the audio or video track and remove all the other contents.

  1. Import the media file that you wish to crop from and add it to the timeline.
  2. Select the track (audio track or video track) that you wish to retain before cropping everything else.
  3. Alternatively you may even select a PART of the track(s) that you wish to retain. Use the selection sliders to do this. You may make a selection from a single track or from multiple tracks.
  4. Select Edit > Crop to delete the unselected portion of the timeline.

Cropping the selected source only

This option lets you restrict the cropping action only to those sources in which selections have been made. This is very convenient when you have multiple sources in your timeline and you wish to make a selection in the video and audio channel of one or more sources and crop the unselected portion of those sources only.

For example you have 3 video sources V1, V2 and V3 and 3 audio sources A1, A2 and A3 in your timeline. You wish to make a selection in V2 and A2 and eliminate the unselected parts of V2 and A2 ONLY, without affecting V1, V3, A1 and A3. This is when you should use this option.

  1. Import the media files that you wish to crop from and add them to the timeline.
  2. Select the parts of tracks that you wish to retain. You may make your selection from a single track or from multiple tracks.
  3. Select Edit > Crop Source(s). You will notice that only those sources, in which you had made selections, will be cropped.


Undoing and Redoing Actions

The Undo button [image] on the Toolbar displays a list of actions that you have performed in Video Edit Magic. Clicking on an action in this list nullifies the effects of all the actions that you had performed after that action. This is an excellent feature if you wish to undo a bunch of commands using a visual interface. The subsequent actions that were nullified are available to you only if you don’t perform a fresh action at this point. Once you perform a fresh command, the list begins afresh from that point forwards and all the subsequent commands (their effect on your project) are nullified permanently. You can also select a nullified action and make it active by using the Redo button [image] on the Toolbar.

Undoing Editing

One way of undoing a recent command is to click Edit > Undo. You may use Edit > Undo as many times as you wish to nullify the effects of your commands in a sequential, manner, backtracking each preceding command, step by step.

Redoing Editing

To sequentially redo your undone commands, click Edit > Redo. You will not be able to redo an undone command if you issue a fresh command after the undo operation. The number of Redo operations available to you is equal to the number of Undo operation that you have performed.


Changing Stretch Mode

The Stretch Mode feature lets you preserve or change the original aspect ratio of your video source. You may choose from 4 different options that subtly change the size and appearance of your video onscreen. To change the stretch mode of a video source, select one or more video source and select Stretch Mode from the Edit Menu.

Stretch Modes

The four types of stretch modes are

Stretch

This option stretches the video to fit the current dimensions. Video Edit Magic changes the aspect ratio as well as the screen size of the video as found necessary. If there is a huge variance between the original size of the video and the dimensions that you have defined for it in the project, then heavy distortion will occur. It is best to avoid using this option unless there is not much difference between the original dimensions and the dimensions defined by you. This is the default stretch type used by Video Edit Magic.

Keep original dimension

This option preserves the original size AND aspect ratio of the video. If any of the original dimensions are smaller, black bands appear and if any of the original dimensions are larger, then the image is cropped near the edges along the opposite dimension.

Preserve Aspect Ratio

This option preserves the aspect ratio of the original file and zooms the video NEGATIVELY (zooms out) so that the video image fits the screen perfectly without any stretching. However, there will be 2 black bands at opposite edges of the picture in the X or the Y dimension, whichever is smaller than the defined dimension, by a lesser margin. For example if the screen size that you have defined is 320 x 240 and if the original dimensions of the video are 318 x 230, this option will cause black bands to appear in the X axis because the difference between the original and defined X dimension is not as great as the difference between the original and defined Y dimension.

Stretch while Preserving Aspect Ratio

Choosing this option zooms the video POSITIVELY (zooms in) so that it fits the screen perfectly without any stretching. However a part of the picture may be cropped in either the X or the Y dimension. For example if the screen size that you have defined is 320 x 240 and if the original dimensions of the video are 318 x 230, this option will zoom the video so that the smaller dimension (Y in this case which is smaller than the defined Y dimension by 10 pixels). However, since the original aspect ratio is maintained while zooming the smaller dimension to the desired pixel size, some part of the larger dimension (in this case X which is smaller only by 2 pixels) will be lost. This option is advisable if the clarity of the picture is more important than the contents near the edges of the frame.

Applying Stretch Mode

Stretch mode can be applied to sources in the timeline by selecting one of the three options from Apply Mode To

Selected Source (s)

If this option is selected then the selected stretch mode is applied to all selected sources.

Selected Track

If this option is selected then the selected stretch mode is applied to all the sources in the selected video track. Selected video sources in tracks that are not selected remain unaffected.

Track with Selected Source (s)

If this option is selected then the selected stretch mode is applied to all the sources in all video tracks that have at least one selected video source.


Working with Effects and Transitions

Video Edit Magic: Working with Effects and Transitions

Working with Effects and Transition

Video Edit Magic provides you with a host of ready made effects and transition for your video that you can simply drag and drop into the timeline.

  • Working with Effects
  • Changing Effect Settings
  • Working with Transition
  • Changing Transition Settings

Editing with Effects and Transition

Effect and Transition sources can be edited in a similar way as any other video and audio sources. All the edit operations such as Cut, Copy, Paste, Delete, Crop, Move and Resize are also applicable to effect and transition sources.

However, effects and transitions are dependent on Video 1 and / or Video 2 track. Therefore, when all the sources from a Video track are deleted then all the effect sources of that video track are also deleted. Similarly, when all sources from Video 2 track is deleted then all transitions are also deleted.

The only difference between an effect and a transition is that an effect is applied to a single video track while a transition is applied to two consecutive video tracks. An effect is dependent on a single video track while a transition is dependent on two video tracks.


Working with Effects

Effects must be added to the timeline before you can start working with them. Effects can be added to either or both the video tracks. Effects are represented on the effect track that accompanies every video track (Video 1 and Video 2).

To add an effect to a video track:

  1. Select the effect you wish to add from Video Effects tab in the Collections window.
  2. Select the effect track to which you wish to add the selected Effect.
  3. You may preview the selected Effect in the instant preview by clicking the Play button.
  4. Double click the selected effect to add it to the effect track corresponding to the selected video track.

The selected effect will be added to the selected effect track at the seek slider position. If the seek slider is positioned on or before an existing effect, then the selected effect is added at the end of all the existing effects in the same track, instead of the slider position. By default, an effect of one-second duration is added to the timeline that can be later resized to the desired duration. You may also add an effect by dragging and dropping the effect from the Video Effects list to the timeline or by selecting Add Effect to Timeline under the Edit menu.

The default duration of the effect can be changed. Select Options from the Tools menu and select Source Settings and change the duration of the effect.


Changing Effect Settings

The Effects that can be further configured are:

  1. Pixelate
  2. Blur
  3. Blind
  4. Image Transform
  5. Brightness/Contrast Effect
  6. Posterize
  7. Color Channel
  8. Threshold
  9. Text/Title Effect
  10. Rotate Effect
  11. Pan and Zoom
  12. Animated Transform
  13. Wave

To change Effect settings, select the desired Effect and select Effect Settings from the Edit menu. You may also right click the selected Effect and select Effect Settings.


Pixelate Effect

With the Pixelate Effect, you can create graphic blurs. This effect groups pixels in squares and applies the average color of all contained pixels to the square.

Pixel Size

Pixel Size define the number of neighboring pixels that this effect will group. Larger the size of pixels, lesser will be the number of squares in the image.

Keep pixel size constant

Check this option if you want the size of pixels to remain constant throughout the duration of the effect. Deselect the option to start with the original image and then gradually increase the size of pixels to reach the specified size at the end of the effect's duration.


Blur Effect

When you apply the Blur Effect, your images tend to be soften. It appears as though they were out of focus while being shot and this leads to details that are not sharply defined.

Intensity

The intensity of the blur effect can be set on a scale of 1 to 10 depending on whether you want the image to blurred slightly or completely.


Blind Effect

The Blind Effect gives a produces alternate dark and light shaded areas across the height of the video. The Wave Effect supports three properties. After applying this effect, the video appears as being seen through a blind.

Frequency

Frequency is the number of darkened stripes to be displayed across the height of the video. If the frequency high, much of the view would be hidden behind the dark stripes.

Light Strength

Light Strength is the intensity of light falling on the video. Greater the strength of light more distinguished are the waves. At higher values, the waves become so strong that they appear to cut the video in strips.

At lower values, the waves may not show at all. A value of 25 - 50 is ideal in most cases.

Phase

Phase defines the vertical direction of falling light. Changing the phase will change the direction of falling light and thus change the vertical location of the waves.


Image Transform Effect

The Image Transform Effect presents a host of video manipulation functionality to the video in timeline where the effect is applied.

Multiple transforms can be applied together by checking more than one or all required transform effects.

Mirror

The Mirror transform mirrors the video image in the timeline.

Grayscale

The Grayscale transform converts a colored video image to shades of gray only. This transform is used to convert colored videos to black and white videos.

Invert Colors

The Invert Colors transform converts a video image to its negative by inverting all its colors. This transform is typically used to depict flash-backs or vague thoughts in motion pictures.

X-Ray

The X-Ray transform converts a video image to its X-Ray.

Flip Horizontally (Default)

The Flip Horizontally transform turns a video image upside down. This transform can be used to correct captured videos and videos converted from the YUV color space to RGB color space that sometime turn out upside down.

Opacity

The opacity value ranges from 0 to 1 and changes the opacity of the image. Changing the opacity value will dim a video image.


Brightness/Contrast Effect

The Brightness/Contrast effect is used to alter the brightness and contrast of the video or image clips added to Video 1 or Video 2 track. This option be effectively used to correct videos that are dark/dull, too bright or have incorrect composition. The settings supported by this effect are:

Brightness

Brightness slider is used to alter the brightness of the video. The values range from -100 to 100. Values below 50 will darken the video and values above 50 will brighten the video.

Contrast

Contrast slider is used to alter the contrast of the video. The values range from -100 to 100. Values below 0 will reduce the contrast of the video and values above 0 will increase the contrast of the video.

Gamma

Gamma slider is used to alter the gamma of the video. The values range from -100 to 100.


The Posterize Effect

Posterize effect changes the video so that the video appears like a poster or canvas drawing. This effect when combined with the Transparency transition can give a watermark overlay to your videos. Technically, Posterization is the process of reducing the number of color levels per color channel from 256 to some smaller number.

Levels per Channel

Levels per channel is the number of color levels to use for the posterization operation. The value of this slider ranges from 2 to 20.


The Color Channel Effect

The Color channel shows only the selected color channel present in the video by hiding all other color channels. The Red, Green or Blue color channel can be selected. As an example, if Red color channel is selected then Green and Blue color channels are hidden so that only the Red color channel shows up. This effect can also be combined with the Transparency transition to create colored watermarks on the video.


The Threshold Effect

Threshold blends similar colors falling beyond a particular value (threshold) to create this effect. This effect creates a fair amount of uniform color as a result of the blend and can effectively be used with the Key Color (Transparency) transition.

Threshold Value

Threshold Value applies the amount of threshold. This slider ranges from 0 to 10.


Text/Title Effect

Text/Title Effect lets you add text and titles to your videos. Drag and drop this effect to the effect track in the timeline to add text.

Adding Text On the Video

  1. On the Edit menu, point to Add Text As
  2. Select Title on the Video

Video Edit Magic will add the Text/Title video effect to the selected track at the seek slider's position. The text will appear on the video for a total duration of the Text/Title effect.

Adding Text as Opening Title

  1. On the Edit menu, point to Add Text As
  2. Select Opening Title

The Text/Title effect will automatically shift all clips in the timeline to make room for the effect at the beginning of the timeline. It will also add a Video Color Clip to the selected video track. This clip provides a background color to the added Text/Title effect.

Adding Text as Closing Credit

  1. On the Edit menu, point to Add Text As
  2. Select Closing Credit

Video Edit Magic adds the Text/Title effect to the end of the timeline. It will also add a Video Color Clip to the selected video track. This clip provides you with a background color for the added Text/Title effect.

Changing Text

  1. Click on the text once without dragging it or point to the Format menu and click Text. Alternately, click the Text toolbar button or use the Ctrl+T shortcut key.
  2. The text becomes editable.
  3. Change the text and click anywhere around the text to apply the changes.

Changing the Text's Background Color

  1. On the Format menu, click Background Color. Alternately, click the Background Color toolbar button.
  2. Choose a color that you want to use as the Text's background.
  3. Click OK when done.

Changing Video Color Clip's Background Color

When you add text as Opening Title or Closing Credit, Video Edit Magic automatically adds a Video Color Clip to the timeline. This forms the background color of the video over which the text appears. The default color is Black. To change this color:

  1. Select the Video Color Clip
  2. On the Edit menu, select Video Color Clip Settings
  3. Click one of the Primary Colors or click Change for custom colors
  4. Click OK

Making Text Background Transparent

On the Format menu, click Transparent Background. Alternately, click the Transparent Background toolbar button.

Changing Font and Font Size

  1. On the Format menu, click Font.
  2. Choose the font, font style and size.
  3. Click OK to apply the font changes.

OR

Select the desired Font and Font Size from the drop down boxes on the toolbar.

Changing Font Color

  1. On the Format menu, click Font Color. Alternately, click the Font Color toolbar button.
  2. Choose a color that you want to apply.
  3. Click OK when done.

Applying Font Styles

On the Format menu, point to Font Styles and select the style that you want to apply to the current text.

Applying Font Effects

On the Format menu, point to Font Effects and select the font effect that you want to apply to the current text.

Changing Text Position

To change the text position, drag the text to the new position.

To use the preset text positions, go to the Format menu and then to Text Position. Select the position where you want to automatically position the text in the video.

To center the text vertically, point to the the Format menu and click Center Vertically. Similarly, to center the text horizontally, point to the Format menu and click Center Horizontally.

The preset text positions and the options to center text vertically and horizontally are also present on the toolbar.


Rotation Effect

Video Edit Magic: Rotate Effect

Rotate Effect

The Rotate effect lets you carry out tasks like rotating, zooming and moving the video. It is particularly useful for correcting the video orientation. The move and zoom transform can be used to crop video images.

The Rotate effect consists of the following effects, which can be applied individually or in combination with each other.

Video Edit Magic avails you with the Take Snap option. Rotation effect works great for photographs as it allows you to align your photos properly. If you hold your camera sideways (to get full-body pictures) these rotation effect allows you to rotate your pictures in the proper direction so you can create “video slideshows” of your picture collections.

Zoom

The Zoom Transform effect allows you to progressively view larger or smaller areas of an image. Zooming-in will enlarge the scale of the image and give the impression that you are moving closer to the image. Zooming-out will decrease the scale of the image, and give the impression that you are moving away from the image.

You can zoom-in and zoom-out of the image by using the 4 arrow controls. The 2 '+' arrows are for zooming-in, while the 2 '-' arrows are for zooming-out. You can specify the factor by which each zoom-in or zoom-out operation is done.

Position

The Position transform effect allows you to specify the position of the image in the video. You can use it in combination with the Rotation effect to correct or improve the orientation of the video. An instant preview is displayed in the Preview window to allow you to position the video better.

The positioning can be done by using the 4 arrow controls. You can also specify the factor by which the positioning changes will be applied.

Rotation

The Rotation effect can be used to change the orientation of the video. You can specify any angle from 0 to 360°.

Background Color

You can specify the background color for the image or the video by clicking on the Choose button. This will launch a color palette, from which you can select a background color.

Reset

The Reset button restores all the settings to the default values.


Pan and Zoom Effect

The Pan and Zoom Effect, also known as the Ken Burns Effect, allows you to make a sweeping movement between different portions of images or videos. You can sweep across the length and breadth of your video frame, zoom into particular parts and create the illusion that a camera was moving across as the video plays.

Start position: The Start position is the point on the video from which the panning and zooming will start.

The Start position can be specified by using the rectangle present inside the Start Position box. You can resize and reposition this rectangle to accurately specify the start position.

a) To resize the rectangle, point to a side or corner of the rectangle. When the cursor changes into a double-headed arrow, drag the handle.

b) To reposition and move the whole rectangle, point inside the rectangle. When the cursor changes into a four-headed arrow, drag the rectangle to the area of the picture that you want to receive focus when the effect starts.

TIP: If you want to start the effect with the entire frame being displayed, double click inside this rectangle. The rectangle would then include the entire frame. You can also specify the size of this rectangle by entering the length and breadth values.

End Position: The End position is the point on the video where the panning and zooming will stop.

a) To resize the rectangle, point to a side or corner of the rectangle. When the cursor changes into a double-headed arrow, drag the handle.

b) To reposition and move the whole rectangle, point inside the rectangle. When the cursor changes into a four-headed arrow, drag the rectangle to the area of the picture that you want to receive focus when the effect finishes.

TIP: If you want the pan and zoom effect to end with the entire end frame being displayed, double click inside the End Position rectangle. You can also specify the size of the End position rectangle by entering the length and breadth values.

Example:

Consider this family photo. You can use the Pan and Zoom effect to focus on the face of every member briefly, one after the other. To do so, first reposition and resize the Start Position rectangle to include the face of the person present on one end of the frame (the grandfather in this particular example). Now, reposition and resize the End Position rectangle so it includes the face of the person sitting at the other end (the grandmother).

When you play the video with this effect added to it, a panning movement will be carried out, from the start position rectangle to the end position rectangle. As the movement occurs, focus will also fall on the couple sitting in between as their faces lie in the path of the two rectangles.

If you want to highlight a particular portion of the picture, special focus can be placed on it by zooming in. To do so, double click on the Start Position box so that the rectangle includes the full screen. Now move the End Position rectangle to the place you want to zoom in to (at woman in black sitting in between). When you play the video, the scene starts with the entire family being shown. The view gradually shifts and narrows to focus on the woman.

By using various resizing and repositioning combinations, you can Pan and Zoom at one go and also create other stunning effects. The speed of the panning and zooming will depend upon the effect duration. You can change this duration by resizing the Pan and Zoom Effect bar on the Timeline.

Options

Free form selection: Selecting this option will allow you to specify the Start and End positions without maintaining the aspect ratio of the project. Selecting this option is a good choice when you want more creative freedom in terms of focusing on a particular region accurately.

Set end position to be same as the start position: This option lets you make the size and End Position same as that of the Start Position. You can now reposition the two rectangles anywhere depending on how you want to pan. The advantage is that the resulting panning effect is without any zoom or change in relative image sizes.

Set start position to be the same as end position of the previous effect: This option is useful when you are using more than one Pan and Zoom effect on the Timeline.

For example, you can use a series of Pan and Zoom effects in succession to make a sweeping movement that would focus on points present in different parts of the frame. By selecting this option in a particular Pan and Zoom effect, the Start Position of that effect will coincide with the end position of the previous Pan and Zoom Effect on the Timeline. This will help to maintain continuity while carrying out complex sweeping movements.

This option is available for an effect only if there are one or more preceding Pan and Zoom Effects present on the Timeline.


Animated Transform

With the Animated Transform effect, you can make your videos rotate and move at the same time. When you start from an off-screen position, you can make your videos roll into view. This effect is most conveniently used for Daily Newspaper effects.

Start Position

Specify the Start Position from where you want to start moving and rotating the video. Use the sizing handles to resize the rectangle that specified the Start Position of the video. You can also use the Left, Top, Width and Height boxes to change the Start Position accurately, in pixels. To quickly position your video, you can also use one of the Presets.

End Position

The effect will move and rotate the video up to the End Position you specify. Use the sizing handles to resize the rectangle that specifies the End Position of the video. You can also use the Left, Top, Width and Height boxes to change the End Position accurately, in pixels. To quickly position your video, you can also use one of the Presets.

Free form selection

By default, when you change one dimension of Start or End position, the Animated Transform effect automatically resizes the other dimension in aspect. For example, when you try to change the width of a video that has a width to height ratio of 4:3 by 40 pixels, then Animated Transform will automatically change the height of the video by 30 pixels. You can switch off this behavior by checking the option Free form selection.

Set end position to be same as start position

When you keep this option checked then the Animated Transform will move both, the Start Position and End Position rectangles together. In short, this option keeps the size and position of both rectangles the same.

Set start position to be same as end position of the previous effect

This option sets the start position of the current Animated Transform effect to be the same as the end position of the Animated Transform effect that appears just before this current effect on the Timeline. This option is disabled if the current Animated Transform is the first effect on the Timeline.

Number of Rotations

Specify the number of rotations that the Animated Transform effect must complete while moving from the specified Start Position to the End Position. For example, for 2 rotations, specify 2.00 and for 2 full rotations and 1 half rotation, specify 2.50. By default, the video rotates clockwise. To make it rotate in the other direction, select the option Rotate Counter Clockwise.

Background Color

When the video occupies only a portion of the entire view then the background appears black in color. To select a different background color, click Choose. To pick up a color from any place on the screen, click and hold the mouse button on the eye dropper icon. Drag the cursor to the color on the screen that you want and release the mouse button.


Wave Effect

The Wave Effect gives a impression of the video being under water. The video seems to be awash, with waves dashing against it and moving it back and forth.

Frequency

Frequency is the number of wave-like forms to be displayed across the height of the video.

Wave Speed

With this setting, you can choose to move the wave slowly or rapidly.

Wave Strength

Wave Strength is the prominence of the waves in the video. Greater the strength of waves the more distinguished they appear in the video.


Working with Transitions

Video Edit Magic provides over 150 transitions sorted under 24 categories. Transitions must be added to the timeline to use them. Transitions can be added to the transition track only. Transitions are represented on the transition track in between the two video tracks (Video 1 and Video 2).

Transitions can be added anywhere to the transition track in the timeline. However, to use them, you must position the transition over an overlapping section of a source in Video 1 and a source in Video 2.

Video Transitions

Figure 3, above, shows the Special Wipe transition added to an overlapping section of the timeline. The region between the selection sliders is the overlapping section.

Transition in general defines how source(s) in the Video 1 track combines with the source(s) in the Video 2 track.

Video Edit Magic provides two types of transitions:

  1. Transitions that interpolate (change) over time.
  2. Transitions that remain the same over time.

Most of Video Edit Magic’s transitions remain the same over time.

To add a transition:

  1. Select a transition category from the Video Transitions list in the Collections window.
  2. You may preview the selected Transition in the instant preview by clicking the Play button.
  3. Double click the selected transition to add it to the Transition track corresponding to the selected video track.

The default transition for the selected transition category is added to the transition track in the timeline at the slider position. If the slider is positioned on an existing transition, then the selected transition is added at the end of all the existing transitions in the same track instead of the slider position. By default, a transition of one-second duration is added to the timeline that can be later resized to the desired duration. You may also add a transition by dragging and dropping the selected transition from the Video Transitions list to the transition track or by selecting Add Transition to Timeline under the Edit menu.

The default duration of the Transition can be changed. Select Options from the Tools menu and select Source Settings and change the duration of the Transition.


Changing Transition Settings

Every transition can be further configured by setting its properties. Various combinations of transition settings can be used to enhance and decorate your videos. Intelligent choice of transition settings yields a completely new transition.

Video Edit Magic presents the following transitions:

  1. Key Color
  2. Picture-in-Picture
  3. Wipe
  4. Cross Fade
  5. Pixelate
  6. Checker Board
  7. Slide
  8. Stretch
  9. Random Dissolve
  10. Iris Transition
  11. Picture Arrange

To change transition settings, select the desired transition and select Transition Settings from the Edit menu. You may also right click the selected transition and select Transition Settings.

Depending on the selected transition, an appropriate settings screen is displayed.


Key Color Transition

The Key Color Transition provides four types of transitions corresponding to the four key types. Each of these four sub categories is explained one by one.

Chroma Key Color

Chroma Key is keying by the Red, Green and Blue composition of a color. Use this key to make uniform background colors transparent. To use a chroma key color :

  1. In the Collections window, click the Video Transitions tab.
  2. Add Chroma Key Color by double-clicking on it or dragging and dropping it to the Timeline.
  3. Select the color to be made transparent. You may select a color using either of the following method:
    1. Selecting it from the primary colors.
    2. Specifying the Red, Green and Blue composition of the color
    3. Selecting a color from the color palette invoked by clicking on the Custom button or
    4. Selecting a color from the image. Simply select the desired color from the displayed image.
  4. Optionally, select Invert Chroma Key. This will render all colors other than the selected color as transparent.
  5. If you want to apply to the effect to a wider range of colors, around the currently selected color, you can increase Similarity.
  6. To reverse the effect of the transition, select the Swap video tracks for this transition option.

The chroma key does not interpolate (vary) over time. Use this transition to compose overlays. Video 2 images / videos can be superimposed over Video 1 images / videos by placing the chroma key transition appropriately.

Non Red Key

Non Red Key makes blue and green colors of the overlay images / videos transparent. To use a Non Red Key :

  1. In the Collections window, click the Video Transitions tab.
  2. Add Non Red Key by double-clicking on it or dragging and dropping it to the Timeline.
  3. Optionally, select the Similarity (in terms of percentage). Higher values of similarity makes wider range of non-red colors transparent.
  4. To reverse the effect of the transition, select the Swap video tracks for this transition option.

The non red key does not interpolate (vary) over time. This transition can also be used to compose overlays and to superimpose videos.

Luminance Key

Luminance Key is keying based on luminosity of an image. This key type alters the intensity of light gradually over time. At 0 unit luminosity, black color gradually turns bright while at 50 unit luminosity, 50% gray color gradually turns bright. To use a luminance key :

  1. In the Collections window, click the Video Transitions tab.
  2. Add Luminance Key by double-clicking on it or dragging and dropping it to the Timeline.
  3. Select the Luminance. The range is from 0 to 100.
  4. You can also choose to Interpolate intensity or Keep Intensity Constant.
  5. Optionally, select Invert Operation for a reverse effect.
  6. To reverse the effect of the transition, select the Swap video tracks for this transition option.

Use Luminance key to achieve fade in and fade out effects using black or gray color images. Luminance key is very effective when its operation is inverted.

Hue Key

Hue of an image is the color produced by visible light. The common color terms such as green, red or orange refer to hue. The key type alters hue over time. To use a hue key :

  1. In the Collections window, click the Video Transitions tab.
  2. Add Hue Key by double-clicking on it or dragging and dropping it to the Timeline.
  3. Select the hue value. The range is from 0 to 360.
  4. You can also choose to Interpolate intensity or Keep Intensity Constant.
  5. Optionally, select “Invert Operation” for a reverse effect.
  6. To reverse the effect of the transition, select the Swap video tracks for this transition option.

Use hue key to achieve fade in and fade out effects with image burns. Hue key is also very effective when its operation is inverted.

Once the desired key type is selected and configured, click ‘Ok’ to apply the key type to the transition.

Swap video tracks for this transition

When you arrange the pictures of the two video tracks such that they overlap each other then the Second Video appears over the First Video. Check this option if you want the First Video to overlap the Second Video.


Picture-in-Picture Transition

This transition is used to place a video inside another video. By default, the Video 2 track is placed inside Video 1 track. Select 'Reverse Transition Inputs' to have Video 1 track placed inside Video 2 track. It is helpful to think about the Picture-in-Picture transition in terms of Foreground Video and the Background Video. Depending on 'Reverse Transition Inputs', either Video 2 (default) or Video 1 will form the Foreground Video.

The Picture-in-Picture Transition uses two rectangles to position the foreground video on the background video - The View Rectangle and the Bounding Rectangle. Both these rectangles relate to the foreground video. The Background video cannot be changed.

View Rectangle

The View Rectangle is the position of the foreground video on the background video. The position is measured in terms of pixels. To specify a view rectangle, either move or resize the rectangle using the sizing handles or enter the Left, Top, Width and Height of the Rectangle.

Bounding Rectangle

The Bounding Rectangle also applies to the foreground video. This rectangle defines the part of the foreground video that shows up and fits in the View Rectangle.

For example if the Bounding Rectangle is placed at the top-right quarter and the View Rectangle is placed at the bottom-left quarter then the top-right quarter of the Foreground Video will show up at the bottom-left quarter on the Background Video.

To use one of the many Picture-in-Picture configuration available, select a preset from the Preset box. Click "Ok" when done.

Swap video tracks for this transition

When you arrange the pictures of the two video tracks such that they overlap each other then the Second Video appears over the First Video. Check this option if you want the First Video to overlap the Second Video.

Note

Video Edit Magic provides you with the option of changing the dimension when making movies. You can select a dimension other than the preview dimension (selected when creating a new project). If the dimension selected while making the movie (referred to as "movie dimension") is different than the preview dimension then the View and Bounding Rectangles of the Picture-in-Picture Transition is mapped to the movie dimension. The mapping is done by scaling up or scaling down the co-ordinates of the preview dimension to the movie dimension. If the difference between the two dimensions varies significantly then some precision is lost during the mapping operation and the Transition may appear cropped.


Wipe Transitions

Video Edit Magic provides a host of Wipe Transitions. All wipe transitions change over time. These transitions are sorted into 11 categories so that they can be located and managed easily.

Transition Mask is displayed under the “General” tab, Scale, Origin and Replicate under the “Dimensions” Tab and Border Width, Border Smoothness and Border Color under the “Border” tab.

Every transition under a wipe transition category is known as a mask. A set of common settings can be specified for every transition. The settings are

Transition Mask Property

This option lets you select from among various wipe transitions. For example the Triangle Wipe transition that gradually displays the second video clip while moving over the first clip through a variety of triangular shape(s). Every category comprises of different variations of the same transition that share similar shapes or traits. For example, the Triangle Wipe category contains all triangle-type transitions.

Transition Mask JPEG

A transition mask image specifies a JPEG file that is used as a transition. Simply select Transition Mask JPEG, browse for the JPEG file and click OK.

Scale

Scale defines the percentage of scaling to be applied to the original transition. A transition can be scaled / stretched horizontally or vertically by specifying the horizontal and vertical scale values respectively

Origin

Origin defines the center from where a transition originates. The X (Horizontal) and Y (Vertical) axis of a transition can be specified by setting the origin values. Alternately, the origin can also be roughly set by dragging your mouse over the origin pad.

Replicate

Replicate defines the number of times a transition is repeated horizontally and / or vertically. Smart usage of replicate can provide you with a completely new transition.

Border Width

Border width determines the border width in pixels of a transition.

Border Softness

Border softness reduces sharp border edges of a transition.

Border Color

Border color specifies the color to be given to the border of a transition. To set the border color you may

  1. Select a primary color.
  2. Select the Red, Green and Blue composition of a color.
  3. Select the color from the palette by clicking the Custom button.

Swap video tracks for this transition

When you arrange the pictures of the two video tracks such that they overlap each other then the Second Video appears over the First Video. Check this option if you want the First Video to overlap the Second Video.

The transition with its settings can be instantly previewed. After the transition has been configured, you may click “Ok” to apply the transition.


Cross Fade Transition

The classic cross fade video transition gradually fades out the first video while fading in the second video creating a video cross-fade. This transition is typically used while creating slideshows.

Overlap Intensity

The overlap intensity ranges from 0 to 100, which specifies when the transition should start fading out the second video while the fading in of the first video is in progress. For example, at 100, the transition will start fading in the second video and fading out the first one at exactly the same time. At 0, the transition will fade out the first video completely to black and then it will start fading in the second video (no overlap).

Swap video tracks for this transition

By default this transition starts from the video in Video Track 1 and ends with the video in Video Track 2. Check this option to transition from Video Track 2 to Video Track 1.


Pixelate Transition

The pixelate transition starts approximating the first video with growing pixels up to half the duration of the transition. From here, the transition switches to the second video and starts shrinking the pixels and finishes with the second video.

Pixel Size

This value defines the maximum pixel size up to which the Pixelate transition should grow the pixels. The number of pixels on the video that the transition should generate decreases when the pixel size is high.

Swap video tracks for this transition

By default this transition starts from the video in Video Track 1 and ends with the video in Video Track 2. Check this option to transition from Video Track 2 to Video Track 1.


Checker Board Transition

The checker board transitions starts with the first video and uncovers the second video in squares arranged in a checker board fashion.

Direction

The direction in which the squares of the checker board uncovers the second image can be preset. Possible options are Left, Right, Up and Down.

No. of Rows

The number of rows to be used in order to uncover the second video can be specified on a scale of 2 to 50.

No. of Columns

The number of columns to be used in order to uncover the second video can be specified on a scale of 2 to 50.

Swap video tracks for this transition

By default this transition starts from the video in Video Track 1 and ends with the video in Video Track 2. Check this option to transition from Video Track 2 to Video Track 1.


Slide Transition

The slide transition slides the first video while bringing in the second video.

Slide Style

This transition supports three types of slide styles:

Open

The Open style slides the first video out from the left to uncover the second video.

Push

In this style, the second video pushes the first video and slides it out from the left.

Swap

The Swap style slides the first video half the way towards the left and then swaps the second video in.

Bands

The slide transition splits the video into the number of specified bands and then applies the selected slide style.

Swap video tracks for this transition

By default this transition starts from the video in Video Track 1 and ends with the video in Video Track 2. Check this option to transition from Video Track 2 to Video Track 1.


Stretch Transition

The Stretch transition starts by squeezing the second video and then growing to occupy the first video over the period of the transition.

Stretch Style

The Stretch transition supports 3 types of styles:

Spin

This style starts the second image from the center and eventually stretches it across the video. The overall effect is that of the second video spinning until it occupies the first image.

Hide

When you select this style, the Slide transition starts the second video from the left edge of the first video. It then eventually stretches the second video to cover the first video.

Push

In Push style, the second video stretches out to push the first video. The first video eventually squeezes out.

Swap video tracks for this transition

By default this transitions starts from the video in Video Track 1 and ends with the video in Video Track 2. Check this option to transition from Video Track 2 to Video Track 1.


Random Dissolve Transition

The Random Dissolve Transition places dots representing the second video randomly over the first video and eventually covers the entire first video with the second video.

Swap video tracks for this transition

By default this transition starts from the video in Video Track 1 and ends with the video in Video Track 2. Check this option to transition from Video Track 2 to Video Track 1.


Random Dissolve Transition

Video Edit Magic: Iris Transition

Iris Transition

The transition allows you to gradually shift the view between two video clips with the help of different shapes. The view changes with one video clip appearing within the shape and the other one outside it. You may opt for different Iris styles and directions.

Iris Style

This option lets to select various shapes like diamond, circle, cross, plus, star and square. One of the clips appears within the selected shape which increases or decreases depending upon the direction you have chosen.

Direction

The choice of direction could be In or Out. If the direction selected for the Iris transition is In, the shape gradually decreases in size and seems to move in. The reverse happens if you select the Out option where the shape gradually grows in size and appears to move out thus affecting the proportions of both the clips, within as well as outside it.

Swap video tracks for this transition

When you arrange the pictures of the two video tracks such that they overlap each other then the Second Video appears over the First Video. Check this option if you want the First Video to overlap the Second Video.


Picture Arrange Transition

You can use the Picture Arrange Transition to place the two video tracks on the same video screen. This transition provides you with presets to quickly place the videos side-by-side horizontally, vertically or diagonally. This transition is very useful when you want to prepare a movie that shows comparison.

Presets

The Picture Arrange transition provides presets for the most common video arrange placements. To use a preset, click the appropriate icon present under Preset. The green colored square represents the Video Track 1 and the blue colored video represents the Video Track 2.

Visually Arranging the Videos

You can visually arrange the pictures of the Video Track 1 and the Video Track 2 by dragging green and blue colored rectangles marked with a "1" and "2" respectively. The green colored rectangle represents Video Track 1 and the blue colored rectangle represents the Video Track 2. To change the size of the picture, drag the rectangles using the sizing markers displayed at the 4 corners and 4 sides of the rectangle.

Actual Co-ordinates in Pixels

Using presets is the quickest means to arrange the pictures. For custom arrangement, it is best to use visually arrange the videos by dragging the picture's rectangles. After arranging the rectangles roughly on the screen, you can change the Actual Co-ordinates of the two videos by directly specifying the values.

You can change the left co-ordinate, right co-ordinate, width of the picture and height of the picture by entering the values in the Left, Top, Width and Height boxes respectively. The transition accepts all values in pixels. The screen in which you can fit the two pictures has the same width and height as that of the current project. For example if the project's dimension is 320 x 240 pixels then the screen's width is 320 pixels and height is 240 pixels. Thus, you can arrange the pictures within the bounds of the project's dimension.

Background Color

By default the background color of the screen on which you arrange the two videos is black. You can change the background color to any color of your choice. To select a custom color, select Choose. To select a color present anywhere on the desktop, drag the eye dropper around the desktop and over the portion of the desktop where the color you want is located.

Swap video tracks for this transition

When you arrange the pictures of the two video tracks such that they overlap each other then the Second Video appears over the First Video. Check this option if you want the First Video to overlap the Second Video.


Wipe Categories

Video Edit Magic has several wipe transitions that change over time. These transitions are divided in 11 categories and each category lists down multiple options which can be used in videos to give some amazing results. Lets have a look at how these wipes alter your videos.

Wipe

The second video gradually wipes off the first to occupy the screen completely.

Triangle Wipe

The second video clip appears in a triangle and replaces the first.

V-Wipe

One clip appears within a "V" to replace the other.

Sawtooth Wipe

The wipe is like a sawtooth within which the video clip is seen.

Special Wipe

This transition lets you select from a variety of shapes like key, star etc.

Arrow Wipe

An arrow displays the second clip before it replaces the first video.

Shape Wipe

You can select one of the several geometric shapes to move from one clip to another.

Radial Wipe

It reveals the second video with a movement resembling hands of a clock.

Matrix Wipe

The transition is like the double spiral that wipes off the first video gradually.

Waterfall Wipe

The second video is displayed by a series of cascading tiles.

JPEG Image Wipe

Any JPEG image file you want can be used as a transition between the two videos.


Video Edit Magic Tools

Editing in Video Edit Magic is not just about moving, cutting, copying, pasting and changing the duration of sources. You will now see some of the more sophisticated editing capabilities of the application.

  • Using Markers
  • Media Converter
  • Splitting Track
  • Splitting Timeline
  • Packing Tracks
  • Repeating Audio
  • Resetting Volume Track
  • Taking Snaps
  • Timeline Narration
  • Aligning Clips


Using Markers

A marker is a visual cue that you can apply on your timeline. You may insert markers to locate and remember a certain event in the Video or Audio tracks. To create a marker at a certain point in the timeline, simply bring the slider to that exact location and choose Tools > Add Marker. You may add as many markers as you like, to your timeline. To remove a marker, select the marker and choose Tools > Remove Marker. To Add and Remove Markers, the Add and Remove Marker buttons from the Timeline controls at the top left corner of the timeline can also be used.

Markers can be repositioned after they are added to the timeline. Just grab the marker by its handle and slide it to its new position. The first marker is always present in the timeline and cannot be removed. All markers added after the first marker can be removed.


Media Converter

Media Converter is a convenient utility to convert from all popular media file formats to compressed AVI format.

Content

  1. Supported Media File Formats
  2. Using Media Converter
  3. Using AVI Compression

Supported Media File Formats

Most of the commonly used media file formats are supported by Video Edit Magic:

Supported Input Formats

  1. Audio Video Interleaved (AVI)
  2. WAV
  3. MP3
  4. Windows Media Audio (WMA)
  5. Windows Media Video (WMV)
  6. QuickTime (MOV)
  7. Motion Picture Experts Group (MPEG 1, MPEG 2, MPEG 4)
  8. AIFF
  9. AU
  10. SND

QuickTime Support

The recommended or full installation of QuickTime 7 is required to convert from QuickTime to AVI. QuickTime's online or standalone installer can be obtained from the URL: http://www.apple.com/quicktime/products/qt/.

MPEG-2 Support

It is recommended that you install the free MPEG-2 decoder setup from: http://www.deskshare.com/download/mpeg2decoder.exe

MPEG-4 Support

It is recommended that you install the free MPEG-4 decoder setup from: http://www.deskshare.com/download/mpegabledsdecoder.exe

Using Media Converter

To open Media Converter:

  1. On the Tools menu, click on Media Converter.
  2. Click Next on the welcome screen of the Media File Conversion Wizard.
  3. Select a File to Convert by clicking on Add button. Specify the Destination Folder where you want to save the converted file by clicking on Browse. Click Next.
  4. You may also select a Video and/or an Audio Compressor to significantly reduce the file size of the converted AVI file. The Auto select settings based on: option chooses video and audio compressors based on the requirements you specify. Click Next to start the conversion process.

The conversion process may take time depending on the duration and dimension of the source files you select. A Video and/or Audio compressor may also slow down the process of conversion. When you are converting an AVI file, the Media Converter displays the estimated time left for the conversion to be completed.

Using AVI Compression

Recommended Video Compressors

  1. Microsoft Video 1
  2. Cinepak Codec by Radius
  3. Indeo Video Compression filters
  4. MJPEG compressor

Not all Video and Audio compressors may give you desired results. Some installed compressors are specific to an application and may not work. A good choice of compressors can result in both - good quality and a small file size.

Note:

In batch conversion, temporary files are created in a separate folder, with the folder name VEMTemp. This folder is created in the destination folder itself.


Splitting Track

Video Edit Magic: Splitting Tracks

Splitting Tracks

With the Split Track option, you can split any source in the timeline by simply clicking the source. After splitting, a source is divided into two independent sources (clips). To use this option:

  1. On the Tools menu, click Split Track. You may also click the Split Track toolbar button or use the F4 shortcut key.
  2. Move your mouse over the source you want to split in the timeline. The mouse cursor will change to indicate the position of the split.
  3. Click once to split the source.
  4. Follow steps 1 to 3 for every source that you want to split.

To split multiple tracks at once, you can use the Split Timeline option.


Splitting Timeline

With the Split Timeline option, you can split more than one tracks at once. To split a single track only, the Split Track option is more convenient to use. Unlike the Split Track option, this option splits the timeline at the seek slider position.

To Split the Timeline:

  1. Drag the seek slider to the position where you want to split the timeline.
  2. Link and unlock all tracks that you want to split.
  3. On the Tools menu, click Split Timeline to split all linked and unlocked tracks of the timeline at the slider's position. You may also use the F11 shortcut key or the Split Timeline button on the toolbar.

To split only specific tracks in the timeline, unlink all tracks other than the ones that you want to split and follow steps 1 to 3 mentioned above. You can also use this method to split a single track.


Packing Tracks

This option removes all the gaps between sources in the timeline. All the sources get connected end-to-end in their respective tracks. To pack all the tracks in your timeline choose Tools > Pack Timeline Tracks.


Repeating Audio

Sometimes, if the video and audio in your timeline have been sourced from separate files, the duration of the audio may be shorter than the video. Stretching the audio to match the video’s duration is not always a good idea as it slows down the audio. Select Tools > Repeat Audio to duplicate the audio along the timeline until it matches the duration of the video track. So if you have a video track that is five minutes long and an audio track that is one minute long, choosing the ‘Repeat Audio’ option will copy the audio four times into the timeline sequentially so that it matches the length of the video.


Resetting Volume Track

This option lets you reset the volume track of the selected audio track. In effect, this option removes all volume points that you had added and resets the volume of that track to 100 percent.

To reset the volume:

  1. Select the audio track for which you want to reset the volume.
  2. On the Tools menu, click Reset Volume.


Taking Snaps

This option lets you take a snap of the preview window. This is a handy tool that lets you capture a single video frame into an image file. To take a snap from any place in the timeline:

  1. Position the Seek Slider over the timeline such that the image that you want capture is visible in the preview window.
  2. On the Tools menu, click Take Snap.
  3. The Take Snap dialog displays three consecutive images relative to the position of the Seek Slider. Select the image that you want to save.
  4. By default, the Take Snap dialog saves images in the current project's dimension. To change the dimension (resize the snap), specify the width and height in the Dimension boxes. To keep the aspect ratio (ratio of the image's width to the image's height) when Take Snap resizes the image, check the Lock Aspect Ratio option.
  5. To save the image in the JPEG format, select the JPEG option from Output Format. Specify the JPEG quality using the Quality slider. To save the image in the Bitmap format, select the Bitmap option from Output Format.
  6. In the Save To box, specify the file name and location of the snap file. Click Browse to navigate to the desired location.
  7. Check the Add Snap to Collections Window option if you want the Take Snap dialog to automatically add the saved snap the Collections Window for possible use in the timeline.
  8. Click OK to save the image.


Timeline Narration

Adding Narration to your videos can do wonders to the general look and feel of the video. By adding witty remarks, a running commentary or descriptions of certain objects, using the Narration tool, you can make watching your videos a fun activity. All you need is a microphone and some imagination.

To add Narration while editing in the Timeline:

  1. Make sure that you have a microphone connected to your PC and is correctly configured.

  2. Point to the Tools menu and click Narration.

  3. Position the slider from where you want to start narrating and click Start.

  4. To change Audio Properties, click Options in the Narration dialog. You can select the Audio Device and Audio Frequency. You can select the Audio Bit Size as 8 Bits/Second or 16 Bits/Second. Audio Type can be selected as Stereo or Mono. Audio Properties like Sound Quality, Input and Mixing can be changed.

  5. Tune Audio option opens up the Audio Tuning Wizard. You can set the Playback Level, Select Audio Recording Device and adjust Recording Volume using this wizard.

  6. Click Close when done.

Copyright © DeskShare. All rights reserved..


Aligning Clips

To align clips on the timeline:

  1. Press the Ctrl key and select all clips that you want to align. To select a range of clips, select the first clip in the range, hold down the Shift key and then select the last clip in the range.
  2. On the Tools menu, click Align Clips.

Note

The Align Clips option aligns all selected clips to the selected clip with the highest start time on the timeline. The Align Clip also moves non-selected clips that follow the selected clip in the same track. In this case, the Align Clip option moves the non-selected clips by the same amount by which it moves the selected clip.


Using Volume Tracks

Video Edit Magic presents a very powerful method of varying volume of the timeline over time. The volume of both audio tracks (Audio 1 and Audio 2) can be set and manipulated separately. Volume variations can be used to give a host of audio effects such as Doppler, Audio Cross Fades etc. To specify volume variations of an audio track, bring up the volume track of that audio track. The volume track can be invoked by clicking the right pointing arrow on the audio track. When the volume track is visible, the arrow points downwards.

  • Understanding Volume Tracks
  • Setting Volume


Understanding Volume Tracks

A volume track is used to vary volume of its corresponding Audio Track. The volume variations are measured in percentage of the originally authored volume and do not represent an absolute volume value.

Volume Tracks

The figure above, shows both the volume tracks and their volume graphs that when played, will give an audio cross fade effect. The audio of Audio 1 will gradually fade out while the audio in Audio 2 will gradually fade in.

Components of the Volume Track

The volume tracks consist of many dark gray parallel lines running parallel across them and dark gray lines running vertically across their height at every major tick of the scale forming a grid. This is called a Volume Grid.

Initially a red line runs across the length right in the middle of the volume track. This is the Volume Graph and shows no variations initially. In this figure, however, the volume graph shows variations. The volume graph in Audio 1 starts at normal (no variations - original volume) and then gradually decreases in the last few seconds. The volume graph in Audio 2 starts from the bottom (no volume) and then gradually increases in the first few seconds to its normal (no variations – original volume). This produces an audio cross fade effect.

The white dots that appear on the volume track are called Volume Points. These points are used to manipulate the volume graph. The volume graph runs from volume point to the next volume point. Volume points can be added and deleted as and when required. The volume graph is manipulated by grabbing the volume points and changing their position. When a volume point is moved upwards, above the normal, volume increases and when a volume point is moved downwards, below the normal, volume decreases.


Setting Volume

Volume points are used to manipulate the volume graph and therefore affect the volume variations. The volume graph is manipulated by grabbing the volume points and changing their position. When a volume point is moved upwards, above the normal, volume increases and when a volume point is moved downwards, below the normal, volume decreases.

Setting a Volume Point

To vary the volume, simply click on the volume graph against the time at which you wish to set the volume. You will notice a volume point plotted at that point. The volume graph (red line) will now run up to the new point and from the new point signifying the variation in volume. You may preview the timeline to notice the difference.

Changing a Volume Point

To change an existing volume point, simply click on the volume point and drag it to its new location over time. The graph (red line) changes to reflect the volume point’s new position. You cannot move a volume point beyond the previous or the next volume point in order. If you attempt to do so, the volume point is deleted.

Deleting a Volume Point

To delete a volume point right-click on a volume point. You cannot delete the first and the last volume point of a volume track.

Resetting Volume

The volume can be brought back to its original volume by selected Reset Volume from the Tools menu. The volume of the selected track is reset.

Note

Volume tracks are not subject to editing operations. When you edit an audio track then its corresponding volume graph section is not affected.


Working with Projects

A Video Edit Magic project file stores information about the media files that had been used, the editing carried out on those clips, effects added etc. It does not actually include any media files and therefore the project file is very small in size. The facility of creating and saving project files has been provided to enable users to save all the editing and changes that they make to their media files and continue working on the changed media files as and when they wish. A project file by itself is of no use as it only contains information. To be able to resume working on a project, you also need all the media files used in that project.

  • Creating New Projects
  • Opening and Saving Projects


Creating New Projects

By default, whenever you open Video Edit Magic, a new untitled project with default properties is opened for you. While creating a new project, you can specify the preview dimension and frame rate of the timeline.

Creating a new project with preview dimension same as the first video you add to the timeline

  1. On the File menu, click New Project
  2. In the New Project dialog, select the Use the Dimensions of the first Media File added to the Timeline option
  3. When making movie, some compressors may not work when the dimension of the movie is not in a multiple of 4. To automatically convert the preview dimension to the nearest multiple of 4, select the Automatically convert the preview dimension to the nearest multiple of 4 option.
  4. Click OK
  5. On the File menu, click Open File
  6. Browse for a video file and click Open
  7. Drag and drop the file from the Media Files list of the Collections window to a video track in the Timeline

The preview will automatically resize itself to the width and height of the video file.

Creating a new project with a standard video dimension

  1. On the File menu, click New Project
  2. In the New Project dialog, select the Let me specify the Preview Dimensions option.
  3. From the Preview Dimensions dropdown, select a standard dimension
  4. When making movie, some compressors may not work when the dimension of the movie is not in a multiple of 4. To automatically convert the preview dimension to the nearest multiple of 4, select the Automatically convert the preview dimension to the nearest multiple of 4 option.
  5. Click OK

Creating a new project with a custom video dimension

  1. On the File menu, click New Project
  2. In the New Project dialog, select the Let me specify the Preview Dimensions option
  3. From the Preview Dimensions dropdown, select Custom
  4. Under Custom Preview Dimensions, specify the width and height of the preview in pixels. Select the Lock Aspect Ratio to keep the dimension in aspect
  5. When making movie, some compressors may not work when the dimension of the movie is not in a multiple of 4. To automatically convert the preview dimension to the nearest multiple of 4, select the Automatically convert the preview dimension to the nearest multiple of 4 option.
  6. Click OK

Creating a new project with the frame rate same as the first video you add to the timeline

  1. On the File menu, click New Project
  2. In the New Project dialog, select the Use the Frame Rate of the first Video File added to the Timeline option
  3. Click OK
  4. On the File menu, click Open File
  5. Browse for a video file and click Open
  6. Drag and drop the file from the Media Files list of the Collections window to a video track in the Timeline

The timeline will use the same frame rate as that of the video file.

Creating a new project with a custom frame rate

  1. On the File menu, click New Project
  2. In the New Project dialog, select the Let me specify the Frame Rate option
  3. In the Frame Rate box, specify the frame rate
  4. Click OK

Note

Video Edit Magic displays the current preview dimension and frame rate of the timeline in the status bar.


Opening and Saving Projects

Video Edit Magic: Opening and Saving Projects

Opening an Existing Project

The concept of creating projects has been provided so that you may save the changes and effects that you have applied to your media files and continue working on them later. When you open an existing project using File > Open Project, the project file is opened with all the last saved modifications and effects that you had carried out on the media files used in that project. The project is opened with the preview size and working folder that were originally defined for it. If you were working on a project when you chose the File > Open Project option, you will be prompted to confirm your decision and save the project that you were currently working on. Sometimes while opening project, an error report is shown if some of the files from the project has problems. Learn more about Trouble Opening media files.

Saving Projects

The facility of creating and saving project files has been provided to enable users to save all the editing and changes that they make to their media files and continue working on the changed media files as and when they wish. To save a project that you have been working on, simply click File > Save Project. If you are saving the project for the first time, you will be prompted to give a name to your project file. To save your project file under a different name, choose File > Save Project As and give it a new name.


Make Movies

Video Edit Magic: Making Movies

Making Movies

Your timeline reflects the most recent state of your media. All the editing you do, all the effects and transitions you apply to your media files can be viewed from the timeline only. Now if you wish to create a new media file based on the contents of the timeline, you will need to use the File > Make Movie option. The contents of your timeline will be "rendered" and saved as a media file.

Video Edit Magic supports making movies in these formats:

  1. Audio Video Interleaved (AVI)
  2. MPEG Formats (VCD, SVCD and DVD)
  3. Windows Media Format (WMV, WMA or ASF)
  4. Digital Video AVI (DV Type I and Type II)
  5. QuickTime Movie Format (MOV)

Make Movie is presented as a simple four step wizard that takes you step by step through the process of movie making.

  • Step I: Select Output File Parameters
  • Step II: Configure AVI Properties,
    Step II: Configure MPEG Properties,
    Step II: Configure Windows Media Properties,
    Step II: Configure Digital Video AVI Properties OR
     Step II: Configure QuickTime Properties.
  • Step III: View Output File Properties
  • Step IV: Make Movie


Step I: Select Output File Parameters

The first step of the Make Movie wizard lets you select the output file and its parameters. The other steps of the wizard vary depending on the output file parameters you select in this step.

File Name

The output file name. A default file name will be automatically filled in. You may change the file name if you wish.

Path

The output file path. The movie will be made in the folder selected here. By default, the path to your My Documents folder will be filled in. You can change the path by clicking Browse and then navigating for the new folder. Click OK after you have selected the new folder.

Output Format

The output file format. Select either AVI or WMF. AVI files are suited for editing and can produce high quality movies. WMF files are more suited for making movies for the web. Depending on this selection, Step II of the Make Movie wizard will let you configure either AVI or WMF properties.


Step II: Configuring AVI Properties

Whenever you save a timeline to a media file, by default it will be saved in a 320 x 240 display size (if it is a video file) and no compression will be used for the audio and video in the file. However you can define custom options for saving your timeline in this step of the Wizard.

Video Edit Magic can even decide the best AVI properties for you based on the media files in the timeline and the Video Compressors available on your computer. Video Edit Magic will scan your files in the timeline and automatically select AVI Properties for optimum settings depending on your Auto Select option. By default the AVI Preset is done on the Best Quality.

You can make AVI Presets based on the following:

  • Best Quality
  • Best Compression
  • Most Compatible

Video Dimension

Video Edit Magic gives you the power not only to save your videos in the original dimension but also to any dimension imaginable. You may select to save one of the standard formats or specify custom dimension for some very unusual video dimensions.

  • By default your timeline is saved as a 320 x 240 pixel dimension media file.
  • To save to a different display dimension, open the Video Dimension list and choose a dimension of your choice.
  • To specify custom dimensions for your video, select "Custom" from the Video Dimension list. This will enable you to specify width and height of the video. If you want to alter the aspect ratio of the video then clear "Lock Aspect Ratio" and then specify width and height of the video.
  • As with images, it is not a good idea to save video to a display dimension that is higher than the original. For example, if the file imported into your timeline originally had 320 x 240 dimensions, you should not save it to 640 x 480 pixel dimension as it might distort the video. If there are many files in your timeline with varying display dimensions, it is best to stick to the default 320 x 240 pixel dimension unless all the files have original dimensions that are higher.
  • Since many of the compressors do not support the odd dimensions, by default the selected dimension is automatically converted to multiple of 4 and it is strictly recommended so that compressor failure may not be there while making movie. To specify automatic conversion of the selected dimension to the multiple of 4 a checkbox is provided.

Video Compressor and its capabilities

Compressing a media file is usually a good idea as you can drastically reduce the files size without really affecting the quality. By default, the video in your timeline is not compressed when you save it to file. To apply a video compressor: Open the Video Compressor dropdown list to see all the compressors that are available to you. Click on a compressor name to select it. Depending upon the compressor you choose, you will be able to select the Frame Rate, Key Frame Rate, Quality and Predicted Frame Frequency of your media file.

Frame Rate

The Frame Rate of a media file is the number of frames that are displayed in one second. Files with a higher frame rate such as 25, 30 to 60 FPS (Frames Per Second) play smoother than files with lower frame rates such as 10 or 15 FPS. However lower frame rate media files are much smaller than higher frame rate ones. 15 FPS is the norm that is usually followed for video created for the Web. You may change the Frame Rate of the media file that you are creating from your timeline, by moving the slider until you get the desired frame rate.

Key Frame Rate

The process of temporal compression involves reducing or eliminating temporal redundancy from an image sequence. Temporal compression is most effective when a sequence contains frames that bear significant similarity to adjacent frames. This is typically true of movies and other video sequences. Reconstructing an individual frame within a sequence that has been temporally compressed requires knowledge of the previous frames. This does not present a problem if your application always plays compressed sequences from the beginning. However, if your application needs to start playing a sequence from a random point or backwards, the decompressor does not have enough information to decompress the frames.

To alleviate this problem, compressors insert key frames in compressed sequences at regular intervals. Key frames define starting points for portions of a temporally compressed sequence. Subsequent frames depend on the previous key frame

The key frame rate indicates the maximum number of frames you will accept between key frames.

Quality

Quality refers to the image quality of the video frames. You can set the quality of the video that you are saving. The default quality of each compressor is different and if you are choosing a video compressor it is best to NOT define the quality using the slider. A quality of 75% is only the Video Edit Magic default and may be too low or too high for a particular compressor.

Audio Compressor

By default, the audio in your timeline is not compressed when you save it to file. To apply a audio compressor:

  • Open the Audio Compressor dropdown list to see all the compressors that are available to you.
  • Click on a compressor name to select it.


Step II : Configuring Windows Media Format (WMF) Properties

Video Edit Magic: Configuring WMF Properties

Step II: Configuring Windows Media Format (WMF) Properties

Using these steps of the Make Movie wizard, you can configure Windows Media 9 properties. To configure the properties:

  1. From the Profile Types box, select a category depending on the method you will use to distribute your movies. Video Edit Magic will display the Video and Audio profiles available for the selected category.
  2. From the Video profiles box, select a video profile. A video profile along with the other settings specify the video dimension and the video bit rate of the movie.
  3. Select an audio profile from the Audio profiles box. An audio profile specifies the audio bit rate of the movie.
  4. Depending on the Video and Audio profile that you select, Video Edit Magic will display all combinations of streams available in the two profiles. Select one or more streams. Selecting multiple streams creates a MBR (Mutually exclusive by Bit Rate) video, which can better adapt to fluctuating network bandwidth.

Selecting a Custom Profile

  1. From the Profile Types box, select the Custom Profile option
  2. Click Browse to select a custom profile

File Display Information

Windows Media files support File Display Information. This feature enables you to add Title, Description, Author and Copyright information to your Windows Media files. To view and change the Display Information for any Windows Media Format file:

  1. In the make Make Movie wizard, click File Display Information on the Windows Media Format Properties.
  2. The File Display Information dialog opens. Now you can add the details mentioned above.


Configuring MPEG Properties

MPEG is the dominant file format used to create VCD, SVCD and DVD. This high quality compressed format can be used across all platforms. VCD, SVCD and DVDs accept MPEG files that conform to their respective standards. MPEG files differ in many parameters that characterizes the MPEG format.

The table below lists down the format in which MPEG files are made by Video Edit Magic depending on the type of video disc.

Video Disc |  |  | MPEG Format (Standard)
Disc Format | Picture Standard | Disc Type | MPEG Type | Dimension (pixels) | Frame Rate (FPS) | Video Bit-rate (Kbps) | Audio Bit-rate (Kbps) | Variable/Constant Bit-rate (VBR/CBR)
VCD | NTSC | CD | MPEG 1 | 352 x 240 | 29.97 | 1152 | 224 | CBR and VBR
VCD | PAL | CD | MPEG 1 | 352 x 240 | 25 | 1152 | 224 | CBR and VBR
SVCD | NTSC | CD | MPEG 2 | 480 x 480 | 29.97 | 2500 | 192 | CBR only
SVCD | PAL | CD | MPEG 2 | 480 x 576 | 25 | 2500 | 192 | CBR only
DVD | NTSC | DVD | MPEG 2 | 720 x 480 | 29.97 | 6000 | 224 | CBR only
DVD | PAL | DVD | MPEG 2 | 720 x 576 | 25 | 6000 | 224 | CBR only

NTSC is the picture standard used in USA while PAL is used in almost all European countries. The MPEG 1 format also supports Variable Bit-rate video that can be used to achieve high compression ratios depending on the kind of video's presence in the Timeline.

Making MPEG Movies for VCD, SVCD and DVD

Creating VCD, SVCD or DVD involves:

  1. Making MPEG movie conforming to the standard that the disc accepts.
  2. Burning the created movies to an appropriate disc (CD or DVD)

Video Edit Magic is able to make MPEG movies for various Video Discs as discussed in the table above. However, a separate CD or DVD burning software is required to burn these MPEG movies to a CD or DVD.

To make movie for VCD, SVCD or DVD, select the required format from "MPEG Output Format" box and click OK. The values required to create the correct MPEG Format is automatically filled up.

The options available are:

  1. MPEG 1 VCD (NTSC)
  2. MPEG 1 VCD (PAL)
  3. MPEG 2 SVCD (NTSC)
  4. MPEG 2 SVCD (PAL)
  5. MPEG 2 DVD (NTSC)
  6. MPEG 2 DVD (PAL)

Aspect Ratio

In DVD - NTSC, movies are created in 720x480 video dimension, whereas in DVD - PAL, movies are created in 720x576 video dimension. Besides the video dimensions every DVD video stream even has a DAR (Display Aspect Ratio) flag. The flag tells the media player for what kind of target display the stream has been encoded. Depending on the display you want to view your movie you can change the DAR. By default the movie will be created in a 16:9 display aspect ratio. You can choose to view your movies in the following:

  1. 4:3 - For Standard Television
  2. 16:9 - For Widescreen
  3. 2.21:1 - For Cinemascope Movie

Note: The DAR (Display Aspect Ratio) does not define the ratio of the video dimensions, you have encoded the video stream at. So even though Windows Media Player will continue to show the accurate video dimensions in the properties, still it will play the video in the DAR you have chosen. For example, if you have created a movie in DVD-NTSC and DAR as 16:9 the video will appear stretched when playing in Media Player but will still have a dimension of 720x480.

Making Custom MPEG Movies

Although, MPEG is primarily used to create movies for VCD, SVCD and DVD, Video Edit Magic also provides you with the feature of making movies in custom MPEG 1 format. To make custom MPEG movies, select MPEG 1 (Custom) from the "MPEG Output Format". Specify custom values for:

  1. Video Dimensions: Select the width and height in pixels from the ones available.
  2. Frame Rate: Select the frame rate in frames/second (FPS) from the ones available:
  3. Audio Bitrate: Specify the bit-rate from the ones available.
  4. Audio Frequency: Select the Audio Frequency from amongst the two options given. By default, it is 44.100 kHz. You may also opt for 48 kHz.


Step II: Configuring DV AVI Properties

Video Edit Magic: Configuring Digital Video AVI Properties

Step II: Configuring Digital Video AVI Properties

Movies made in this format can be exported to a Digital Video (DV) camera attached to your PC. Video Edit Magic comes bundled with Digital Video Manager for exporting to Digital Video cameras.

Type

Select the Digital Video AVI Type. Video Edit Magic supports both Type I and Type II. Both types are identical in both picture and sound quality.

Type I DV files are not backward compatible with older Video for Windows (VFW) systems. In cases where you want the minimum file size or minimum amount of processing required, Type-1 is preferable. Type II DV files cannot be created without an audio. For this purpose, Video Edit Magic automatically inserts a blank audio when the timeline contains no audio. As the audio data is stored twice in the file, once in the DV stream and once in the AVI stream, a Type-2 DV AVI file is around 5% larger than the Type-1 equivalent. Uploading and capturing Type-2 AVI files to and from a DV camcorder takes slightly more processor power, as the extra audio AVI stream needs to be added or removed. Type-2 is the more compatible format for editing.

Video Standard

Select NTSC or PAL depending on the standards supported by your Digital Video camera. The DV AVI specifications for these standards are:

NTSC

Frame Rate: 29.97 frames/second
Dimension: 720 x 480 pixels

PAL

Frame Rate: 25 frames/second
Dimension: 720 x 576 pixels

Note

Digital Video AVI files are variants of uncompressed AVI files. Similar to uncompressed AVI, Digital Video AVI does not use a compressor and can take up large amount of disk space. While saving to Digital Video AVI, it is recommended to also make a movie in AVI format using a video and audio compressor that produces good quality output. This movie can be stored for future use. After the DV AVI is exported to the camera, you may delete the DV AVI file.


Step II: Configuring QuickTime Properties

To Make Movie in QuickTime format, the recommended or full installation of QuickTime is required. QuickTime's online or standalone installaer can be obtained from http://www.apple.com/quicktime/products/qt/

Video Dimension

Select the height and and the width of the video. The movie will be made in the dimensions you select.

Video Compressor

Select the video compressor from the ones available. The size and the quality of the QuickTime movie depends largely on the Video Compressor.

Quality

Select the Quality of the video. The size of the QuickTime movie increases with higher quality.

Frame Rate

The Frame Rate of the video is the number of frames the movie will display per second. High motion videos require high frame rates. The size of the video also increases with high frame rates. If you are not sure about the frame rate then select a frame rate equal to the highest frame rate from the input videos on the timeline. High motion videos typically require frame rates between 25 - 30 frames/second (FPS). You can make movies up to 60 frames/second.

Audio Compressor

Select the audio compressor used to compress the audio in the movie. A better compressor will generally produce high quality audio and keep the size minimium.

Audio Frequency

Audio Frequency is the number of audio samples to be player per second. Higher frequency values gives better sound quality but also increases the size of the audio. Select better qualities for music and lower qualities for speech.

Audio Bit Size

Audio Bit Size is the size of one sample of audio. Select the bit size depending on the audio quality you want.

Audio Type

Select the number of channels of audio (stereo or mono).


Step II: Configuring Wave Properties

Wave (WAV) is an audio only format. If you choose to make movie in WAV format, it will only contain audio and Videos, Effects, Transitions will not be included even if they are present on the Timeline. You can select this option if an audio is present in the audio track. This option lets you select the sample rate and channels.

Audio Frequency

Audio Frequency is the number of audio samples to be player per second. Higher frequency values gives better sound quality but also increases the size of the audio. Select better qualities for music and lower qualities for speech. You can choose from among the several options given.

Channel

You can choose either the Mono (Single) or Stereo (Double) option.

Note: This option is available only to registered version users.


Step III: View Output File Properties

This step of the Make Movie wizard displays the output file properties that you select in Step I and Step II of the wizard. Review the output file properties. Click Back to change the output file name, path or properties if you wish. Click Make Movie if there are no changes to be made to start the Make Movie process.

If AVI was selected as the output file format in step I of the wizard then this step also lets you configure the Video Compressor. Most Video Compressors (particularly DivX) have properties that can be used to fine tune their output. Click Configure Video Compressor to bring up the selected video compressor's properties.

If you click Back after configuring a compressor's properties, you will lose the configuration and will have to reconfigure it.


Make Movie

Movie Making can take a while depending on the output file format, video dimension, video/audio compressor (AVI) or video/audio profile (WMF) and the duration of your timeline.

This Step of the Make Movie wizard shows the progress of movie making. It displays the amount of video saved out of the total duration of the timeline. It also displays the progress in percentage. You may click Cancel to cancel the make movie process anytime you wish.

When you are making a movie in AVI, the Make Movie Wizard also displays the estimated time left for the process to be completed.

Preview Created Movie When Done

If you wish to view your created movie then keep this option checked. When Make Movie completes creating your movie, you may click Done. If this option is checked then Video Edit Magic will open your movie in the default media player.


Having Trouble Making Movie?

This section discusses the problems you may face when making a movie.

Movie synchronization problems:

The video and audio in the created movie may go out-of-sync due to the following reasons.

  • A significantly large difference between the video frame rate of the output movie and the original movie may cause the video and audio streams of the created movie to go out of synchronization. If there are multiple video clips added to the timeline then the “Auto Select” feature selects the highest frame rate to preserve the video smoothness. Try keeping the frame rate as close to the original video clip as possible.
  • The audio compressor MPEG Layer-3, in rare cases, causes the video and audio streams of the created movie to go out of synchronization. The audio or video may finish first. However, MPEG Layer-3 is a very good compressor and usually provides higher compression compared to other compressors. If you face this problem then select another audio compressor. Almost all Microsoft compressors are safe to use.
  • Synchronization problems may even come up if the start time of both video and audio clips is different. Please ensure that the start time of both the streams is the same. To know the start time select the clip and view its start time in the status bar.

Video created is much shorter:

The created movie may be of a much shorter length than what you might have edited in the timeline. This may happen due to the following reasons

  • If the selection sliders are visible when you select Make Movie then Video Edit Magic makes a movie of only that portion of the timeline. Please ensure that the selection sliders are not visible when you select Make Movie.
  • When making movie after selecting Microsoft ADPCM as the audio compressor, the make movie process may not render the entire movie. Generally, the make movie process completes normally up to 50% and then jumps to 100% complete. This means that you will have only a part of the movie saved. If you face this problem then select another audio compressor.
  • If the original file is a WMV file and converting this file completes midway then ensure that this WMV is seekable. Open the original WMV file in Windows Media Player and see if you are able to seek to any random position. If not, then the WMV file is not indexed and hence cannot be edited. To fix this problem, we have to make the file seekable. You can add the WMV file to the timeline and without editing it further make a movie to a temporary AVI file. Use this AVI file for all further editing.

Saving AVI files with odd dimensions:

When saving to AVI format you might get this message "The selected video and/or audio compressor cannot be used. Please select another compressor and try again." Then here are a few points that might help.

  • Many of the compressors do not support odd dimensions, by default the selected dimension is automatically converted to multiple of 4 and it is strictly recommended so that compressor failure may not be their while making movie. To specify automatic conversion of the selected dimension to the multiple of 4 a checkbox is provided. Please ensure that this option is checked.
  • Some video and audio compressors may also be incompatible. From the Audio Compressor box, select Uncompressed and try making the movie. If you are able to make the movie then the problem is with the selected audio compressor.


Capturing Media From Devices

Video Edit Magic's built-in capture tool enables you to capture video footage from attached USB and FireWire cameras. With the capture tool you can:

  1. Capture footage from a Web Camera
  2. Capture footage from a Digital Video Camera
  3. Import footage from a Digital Video Camera
  4. Take Snaps from the selected video capture device

To open the capture tool, point to the Tools menu and click Capture. You can also use the F3 shortcut key.

Topics

  • Capturing from a Web Camera
  • Capturing from a Digital Video Camera
  • Importing from a Digital Video Camera
  • Controlling a Digital Video Camera
  • Capturing Snaps
  • Changing Capture Device
  • Changing Capture To Folder
  • Capturing in AVI Format
  • Capturing in WMV Format
  • Capturing without Audio (Video only)
  • Changing Video/Audio Settings and Formats
  • Changing Snaps Output Format
  • Working with Captured Files


Capturing from a Web Camera

To capture video/audio footage from a Web Camera:

  1. Make sure that you have connected the Web Camera to the USB port of your computer and have configured the web camera correctly. Also make sure that other applications are not using the capture device.
  2. Make sure that you select the Web Camera as the device you want to capture from. If the selected device is different then change the capture device.
  3. Select the folder where you want to save the captured file. The capture tool sequences file names by appending a number if the file with the same name already exists in the selected Capture To folder.
  4. By default, the capture tool captures audio with video. You can choose to turn off audio.
  5. If required change video, camera and audio settings or formats like video output size, frame rate etc.
  6. By default, the capture tool captures footage in AVI format. You can choose to capture in WMV format.
  7. If you do not want to preview footage while capturing, you can turn off preview by pointing to the Capture menu and checking the Hide Preview During Capture option. By default this option is un-checked. Basically, this option helps you to reduce the dropped frame rate.
  8. On the Capture menu, click Start or click the Start Capture button.
  9. Confirm the capture file name and folder. If required you can choose to change them now by clicking the Browse button.
  10. Capture entire Tape option is disabled for Web Camera and can be enabled only when DV Camera is selected. By default Manually Stop Capture option is selected.
  11. Click Start to start capturing. While capturing, the capture tool displays the number of frame captured and duration captured under Output Options.
  12. To stop capturing, point to the Capture menu and click Stop or click the Stop Capture button.


Capturing from a Digital Video Camera

To capture live video from a Digital Video (DV) camera:

  1. Ensure that you have connected the DV camera to the FireWire port of your computer and also have configured the DV camera correctly. Also make sure that other applications are not using the capture device.

  2. Switch on the DV camera.
  3. Make sure that you select the DV Camera as the device you want to capture from. If the selected device is different then change the capture device.
  4. Switch the DV camera to Camera mode.
  5. Select the folder where you want to save the captured file. The capture tool sequences file names by appending a number if the file with the same name already exists in the selected Capture To folder.
  6. If you do not want to preview footage while capturing, you can switch the preview off by going to the Capture menu and un-checking the Preview option.
  7. On the Capture menu, click Start or click the Start Capture button.
  8. Confirm the capture file name and folder. If required you can choose to change them now by clicking the Browse button.
  9. If you want to capture entire tape, select the Capture Entire Tape option. Otherwise select Manually Stop Capture.
  10. Click Start to start capturing. While capturing, the capture tool displays the number of frames captured and duration captured under Output Options.
  11. To stop capturing, point to the Capture menu and click Stop or click the Stop Capture button.

If you want to import already captured footage from the DV camera to your computer then refer to the section Importing from a Digital Video Camera.

Note

Video Edit Magic captures from a DV camera and saves the output as high-quality DV AVI format. This format takes up a lot of disc space. Depending on the output size, a typical 15 minute can take over 150 MB of disc space. The Capture tool therefore displays updated information about the drive's available disc space and used disc space.


Importing from a Digital Video Camera

To transfer video/audio footage from a Digital Video (DV) camera to your computer (importing):

  1. Make sure that you have configured the DV camera correctly and have connected the DV camera to the FireWire port of your computer. Also ensure that the other applications are not using the same capture device.

  2. Switch on the DV camera.
  3. Make sure that you select the DV Camera as the device you want to capture from. If the selected device is different then change the capture device.
  4. Switch the DV camera to VCR mode and bring it to the position from where you want to start capturing. Pause the DV camera at the required position. You can control the DV camera from within the capture tool.
  5. Select the folder where you want to save the captured file. The capture tool sequences file names by appending a number if the file with the same name already exists in the selected Capture To folder.
  6. If you do not want to preview footage while capturing, you can turn off preview by pointing to the Capture menu and checking the No Preview During Capturing option. By default this option is un-checked.
  7. On the Capture menu, click Start or click the Start Capture button.
  8. Confirm the capture file name and folder. If required you can choose to change them now by clicking the Browse button.
  9. If you want to stop capturing automatically after some time, select the Stop capture after and specify the capture duration in seconds. Otherwise select Manually Stop Capture.
  10. If you do not want the Capture tool to open the Set Capture File dialog next time when you click Start Capture, check the option Do not show this box when I start capturing.
  11. Start playing the DV camera's video footage.
  12. Click Start to start capturing. While capturing, the capture tool displays the number of frames captured and duration captured under Output Options.
  13. To stop capturing, go to the Capture menu and click Stop or click the Stop Capture button.

If you want to capture live video from a DV camera directly to your computer then refer to the section Capturing from a Digital Video Camera .

Note

Video Edit Magic imports from a DV camera and saves the output as high-quality DV AVI format. This format takes up a lot of disc space. Depending on the output size, a typical 15 minute can take over 150 MB of disc space. The Capture tool therefore displays updated information about the drive's available disc space and used disc space.


Controlling a Digital Video Camera

Use the Rewind, Play, Forward, Pause and Stop buttons to control an attached Digital Video (DV) camera. The capture tool enables these controls only when:

  1. You connect a DV camera to your computer.
  2. You select the DV camera as the device you want to capture from.
  3. You switch the DV camera to VCR mode.

The capture tool also displays the Time code (represented as Hours, Minutes, Seconds and Frames) of the DV camera's current position. You can use the Time code value to precisely position your DV camera when you want to import footage.


Capturing Snaps

To capture snaps from the currently selected capture device, point to the Tools menu and click Take Snap. You can also use the F9 shortcut key or click the Take Snap toolbar button.

The capture tool saves all snaps as Bitmaps in the specified Capture To folder. Like capture file names, the tool also sequences snap file names by appending numbers if the file by the same name already exists.

Related Topics

  • Changing Capture Device
  • Changing Capture To Folder
  • Changing Snaps Output Format


Changing Capture Device

To change the capture device:

  1. On the Capture menu, click Options. You may also click the Change link under Audio/Video Device.
  2. On the General tab, under Device Settings, select a video and audio device.
  3. Click OK to start using the selected video and audio device.


Changing Capture To Folder

The capture tool saves all captured video footages and snaps in the specified Capture To folder. By default, the capture tool uses your My Documents folder for this purpose. To change the folder:

  1. On the Capture menu, click Options. You can also click the Capture Video and Snaps to Folder link under Save Options box.
  2. On the General tab, under Save Options, specify the folder where you want to capture video and snaps.
  3. Click OK.


Capturing in AVI Format

While capturing footage from a Web Camera, you can choose to capture uncompressed AVI, compressed AVI or WMV format. On the other hand, while capturing from a Digital Video Camera, the capture tool always saves the output file as DV-AVI format, which is a variant of uncompressed AVI format.

To capture in AVI format:

  1. On the Capture menu, click Options.
  2. Make sure that the AVI option is selected from Video Capture Format under General tab.
  3. Select the AVI Settings tab.
  4. Select a Video and/or Audio Compressor.
  5. You can choose the Audio Frequency from the standard ones listed. The Audio Type option lets select Stereo or Mono.
  6. Click OK.


Capturing in WMV Format

While capturing footage from a Web Camera, you can choose to capture uncompressed AVI, compressed AVI or WMV format. On the other hand, while capturing from a Digital Video Camera, the capture tool always saves the output file as DV-AVI format, which is a variant of uncompressed AVI format. The capture tool does not provide the option of capturing footage to WMV format from a Digital Video camera.

To capture in WMV format:

  1. On the Capture menu, click Options.
  2. Make sure that the WMV option is selected from Video Capture Format under General tab.
  3. Select the WMV Settings tab.
  4. From the Video Profiles and Audio Profiles box, select the profiles of your choice.
  5. Click OK.


Capturing without Audio

By default, the capture tool captures audio with video. To capture only video point to the Capture menu and uncheck the Audio option. You can also turn off audio by clicking the Record Audio link under Output Options so that the text reads OFF.

To enable audio capture again, point to the Capture menu and check the Audio option. You can also enable audio by clicking the Record Audio link under Output Options so that the text reads ON.

Note

This option is not available when capturing in WMV format. You can however capture audio only in both AVI and WMV format.


Changing Video/Audio Settings and Format

Video Edit Magic: Capturing Video/Audio Settings and Formats

Changing Video/Audio Settings and Formats

Video Edit Magic's capture tool lets you change video settings like Output Size and Frame Rate along with audio's recording format. To change these settings click on the Tools menu and select Camera Settings, Video Settings, Audio Settings and Audio Format.

You can also use the Settings menu on the toolbar.

The setting dialogs are driver specific and may vary between different operating systems and the configuration of your camera. However, you should at least have options to change Output Size (dimension), Frame Rate and Recording Format using the different settings dialogs mentioned above.


Changing Snaps Output Format

The capture tool saves all captured snaps in the specified Snaps Output Format. By default, the capture tool uses JPEG as a output format for the snaps. You may also provide the Percentage of Quality for the JPEG format.

The capture tool also saves snaps as Bitmaps in the specified Snaps Output Format option.

Like, capture file names, the tool also sequences snap file names by appending numbers if the file by the same name already exists.

Copyright © 2001-2005 DeskShare. All rights reserved.


Working with Captured Files

After you have captured a video footage or a snap, you can use them in your editing projects. Close the capture tool and open the captured videos and snaps into Video Edit Magic to add them to the timeline.

From within the Capture tool, point to the File menu and click:

  • Save As to save the last captured footage to another location and with another name.
  • Preview Last Captured File to open the last captured footage with the default media player.
  • Add Last Captured File to Collections to automatically open the last captured footage in Video Edit Magic.
  • Preview Last Captured Snap to open the last captured snap with the default image viewer.
  • Add Last Captured Snap to Collections to automatically open the last captured snap in Video Edit Magic.


Capturing Media from Analog Devices (Windows 98 only)

By default, Video Edit Magic's integrated capture tool uses DirectShow (part of DirectX) to capture footage from attached USB and FireWire camera. On Windows 98 (and 98SE), DirectShow does not support capturing from Analog devices. For this purpose Video Edit Magic provides another capture tool specifically for Windows 98 that uses the older Video for Windows (VFW) technology.

To use this capture tool, if available, point to the Tools menu and click Analog Capture.

  • Preparing for Capture
  • Capture Options
  • Capturing Media Files
  • Using Capture Files
Capture method and capture settings discussed in this section may vary depending on your Operating System, Capture Device Make and configuration. You may be presented with a limited set of functionality than the ones discussed in this section.


Preparing for Capture

Ensure that your external device is correctly configured, connected to the PC and no other applications are using the same device. The capture utility will detect your default external device and will automatically try to use it.

After the capture utility is invoked

  • Select Capture > Video and/or Capture > Audio. This will determine if video or audio or both are to be captured.
  • Choose File > Set Capture File and specify the capture file by browsing for it. You will also be asked for the capture file when you start capturing. To avoid this check the option "Do not show this box when I start capturing". After the capture starts, you will have to manually stop the capture. You may also configure the capture to stop automatically after certain time by selecting Stop capture after... and by specifying the time in seconds.
  • You may also configure video properties, audio properties and camera properties by selecting Tools > Video Settings, Tools > Camera Settings, Tools > Audio Settings and/or Tools > Audio Format.

Now that you have prepared the capture utility for capture, you are ready to start capturing.


Capture Options

The capture utility automatically detects the default video and audio input device for capturing. If there are more devices attached to your PC then the desired device needs to be selected before you can capture from them. Device selection and many more options related to capture are provided by Capture Options. To access capture options select Options from the Capture menu.

Save Options

The Save Options section lets you configure the video and audio input devices that are to be used during capture. The drop down boxes for Video Device and Audio Device list all the available devices installed on your PC. You can select the device that you wish to use.


Capturing Media Files

Before you can start capturing video directly from Video Edit Magic, ensure that the web cam is correctly attached to the computer. If you get an error when you select the Tools > Capture option and do not see the Capture Preview window, it means that your web cam is not properly attached to your computer. Select the display dimensions, frame rate, audio and video quality as described in preceding sections and you are all set to begin recording your very own movie! .


Using Captured Files

The file menu in Capture utility contains options that let you save the recorded video file in a folder location of your choice and preview / open the captured file in your Media List window directly without having to use the main File menu to import it.

Set Captured File

Clicking this option will invoke a dialog box where you can browse and select the location where you would like to save your captured video file. You may also specify whether you would like to stop the video capture manually or whether you want it to stop automatically after some time. You may set this duration in seconds. You may also choose to save these settings permanently for subsequent video capture sessions by clicking the “Don’t show this box…..” checkbox.

Save Captured File As

After you have captured the video sequence, you may use this option to save the footage in a desired location on your computer.

Preview Last Captured File

This option lets you preview the video file that you have just captured, in Windows Media Player.

Preview Last Snap

This option lets you preview the snap that you have taken using the web-cam. Whenever you take a snap, the image file is saved in the bmp format. Selecting Preview Last Snap allows you to preview it in the default graphics application that is present on your computer.

Add Last Captured File to Media List

Clicking this option will directly import the last video file that you have created, into the Media List window of the currently open project. You will be able to drag this file into the video channel of the timeline and edit it.

Add Last Snap to Media List

Clicking this option will directly import the last snap that you have taken, into the Media List window of the currently open project. You will be able to drag this image file into the video or overlay track of the timeline and edit it.


Exporting to Digital Video Camera

Digital Video (DV) Export is a simple tool lets you export video files to a DV camera attached to the Fire wire port of your PC. This utility is used only to export video files present on your PC to a DV camera. To capture a video footage from a DV camera and save it your PC, you must use the built-in Capture utility. The capture utility is also able to capture from USB cameras.

Opening DV Export Tool

To open the DV Export tool:

  1. Make sure that the DV camera is attached to the Firewire port of your PC, is switched on and is not already in use by another program.
  2. Switch the DV camera to VCR mode.
  3. On the Tools menu, click Export to DV Camera.

Contents

  1. Selecting a video file to export
  2. Exporting video files


Adding Video Files to Export

To add files to export:

  1. Click Browse.
  2. Navigate to the file that you want to export and click Open.
  3. If the selected file is a DV AVI file then it can be exported.

Export Conditions

A video file can be exported by the DV Export tool only when:

  1. The video file that you want to export is DV AVI Type I or Type II.
  2. The Video Standard (NTSC or PAL) of the video file and the DV camera must be the same.

Making Movie to correct DV AVI Type and Video Standard

If the video file is not a DV AVI file or is not in the correct Video Standard (NTSC or PAL) then convert it by using Video Edit Magic. To convert the video file:

  1. From Video Edit Magic, on the File menu, click Open File.
  2. Navigate to the video file that you want to convert and click Open.
  3. Select the file in the Media Files list of the Collections tab if not already selected.
  4. On the Edit menu, click Add to Timeline.
  5. On the File menu, click Make Movie.
  6. Select Digital Video AVI from Output Formats and click Next.
  7. In DV AVI Properties (Step II of the Make Movie Wizard) select the appropriate Type and Video Standard.
  8. Click Next to proceed making the movie.
  9. After Make Movie completes, export the created movie.


Exporting Video Files

To export video files to the Digital Video camera:

  1. Start the DV Export utility from Video Edit Magic.
  2. Select a video file that you want to export.
  3. Use the Digital Video preview and the Rewind, Play, Forward, Pause and Stop controls to seek to the desired position. Files are exported starting from the current position of the camera.
  4. Click Export to start exporting the DV AVI files one by one.


General Shortcuts

Action | Shortcut
Open File | Ctrl + I
New Project | Ctrl + N
Open Project | Ctrl + O
Save Project | Ctrl + S
Undo | Ctrl + Z
Redo | Ctrl + Y
Preview | Ctrl + W
Add to Timeline | F2
Insert into Timeline | Shift + F2
Make Movie | Ctrl + K


Capture Shortcuts

Action | Shortcut
Start | F2
Stop | F3
Take Snap | F9
Preview Last File | F4
Preview Last Snap | F5


Timeline Shortcuts

Action | Shortcut
Cut | Ctrl + X
Copy | Ctrl + C
Paste | Ctrl + V
Delete | Del
Crop | Shift + Del
Crop Sources | Ctrl + U
Select All | Ctrl + A
Add Marker | F8
Remove Marker | F9
Split Track | F4
Split Timeline | F11
Pack Timeline | Ctrl + F12
Zoom in Timeline Scale | F6
Zoom out Timeline Scale | F7
Selection Sliders | F5
Stretch Mode | Ctrl + M
Transition Settings | Ctrl + E
Restore Size | Ctrl + R
Move slider by one half of a division* | Right/Left Arrow
Nudge slider by one tenth of a division* | Shift + Right/Left Arrow

* One division is the time difference between two consecutive ticks on the timeline.


Preview Window Shortcuts

Action | Shortcut
Play | Enter
Pause | Enter
Momentary Pause* | Space

* Pauses only till you press the Space key


Utilties Shortcuts

Video Edit Magic: Utilities Shortcuts

Utilities Shortcuts

Action | Shortcut
Capture | F3
Export to DV Camera | Ctrl + F3
Take Snaps | Ctrl + F2
Narration | Ctrl + F7


Articles

This section contains a few articles that will help you clear the most common queries. Some articles also contain tips that you can use to produce good quality movies with Video Edit Magic

Contents

  • Applying Transitions Correctly
  • Cutting Portions of Media Files
  • Cropping Media Files
  • Creating Audio Cross-fades
  • Splitting Media Files


Applying Transitions Correctly

In Video Edit Magic effects can be applied to a single video track. But to apply transitions, you need to have two tracks - Video 1 and Video 2. To use transitions you must have at least one video clip present in Video 2 track. Moreover, transitions work only when they are applied in between an overlapping section of video clip each in Video 1 and Video 2 tracks.

Here is an illustration of the same


Cutting Portions of Media Files

Cut, Copy, Paste, Delete and Crop are the easiest operations that can be carried out with Video Edit Magic.

To cut portions of a video, simply bring up the selection sliders, select the range that you wish to delete by dragging the selection sliders and select "Delete" from the Edit menu. You may also use the Delete key.

Here is an illustration of the same

Before Cut | After Cut

To bring up the selection sliders (red colored sliders), you may use the F5 key or select "Selection Sliders" from the View menu.

After the selection sliders are visible drag them from their handles to reposition them.

If you require a reverse effect (keeping the selection and deleting the rest) then you may Crop the timeline.

You may also bring up the selection slider, select the range that you wish to save and then select "Make Movie" from the File menu. Video Edit Magic will save only the selected range from the timeline.

You can also selectively apply your editing operations on the timeline by using the lock and link options besides every track on the timeline.


Cropping Media Files

Illustrated below is a section of the timeline.

Elements of the Timeline

Where
1 - Link option corresponding to every track.
2 - Seek Slider
3 - Start selection slider
4 - End selection slider

All editing operations like cut, delete, copy, crop and split work on linked tracks only (tracks that have the link option enabled).

Linked and Unlinked Tracks

In the above screen-shot, Video 1 and Audio 2 tracks can be edited while Video 2 and Audio 1 tracks cannot. This is because these tracks are not linked (shown highlighted).

There are two types of crop operations possible in Video Edit Magic.
1. Crop and
2. Crop Sources.

Before Crop or Crop Source(s)
After Crop
After Crop Source(s)

Crop operation will keep the selected sources (selection sliders not visible) or range (selection sliders visible) in a track and delete the rest. Crop does not work across tracks. If a particular track is unlinked or locked, then crop will not affect that track.

Crop Source operation is available only when selection sliders are visible. Unlike crop, that deletes everything other than the selection, Crop Sources crops only the sources that lie in the selection range (between the selection sliders).


Creating Audio Cross-fades

Video Edit Magic’s Volume Tracks are a very powerful yet simple-to-use methodology to create Audio effects. A volume track affects the volume of its corresponding audio track partially or completely. Using the volume tracks in Video Edit Magic, you can increase the volume of an audio track to 400% (200% for Video Edit Magic 2.6 and below) and decrease it to 0% of the original volume.

Volume Track highlighting Volume Variations

The screen-shot above illustrates a sample volume variation in volume track associated with Audio 1. The volume starts with 100% (original) volume then step-by-step increases to 200%, 300% and 500% and then drops back to 0% (silence). The screen-shot clearly illustrates the flexibility offered by volume tracks in manipulating volume. Please refer to Video Edit Magic’s Help for more details on volume tracks.

This article will now discuss creating an audio cross-fade effect using the volume tracks. An audio cross-fade effect gradually fades out sound from one audio track while gradually fading in sound from the other creating a smooth audio transition. To create audio cross-fade effect, you must add audio sources to both Audio 1 and Audio 2.

Timeline with an Audio Cross-fade effect

The screen-shot above show a sample audio cross-fade between Audio 1 and Audio 2 for a period of 1 second. The audio in Audio 1 track will start dropping volume from the 9th second until it reaches silence (from 100% to 0%). During the same time span (9th to the 10th second), the audio in Audio 2 track will start increasing volume until it reaches 100%. The result is an audio cross-fade.


Splitting Media Files

Sources (Video and Audio of Media Files, Effects and Transitions) present in the timeline can be split into many pieces. Once a source is split into pieces, every piece becomes an individual source and can be edited independently. A single source can be split into as many independent sources as required.

To split a source, add it to the timeline, position the seek slider over the source where you want to split, point to the Tools menu and then point to Split Timeline.

Before Splitting | After Splitting

The screen shots above illustrated how to split a single source added to timeline into two different tracks. Effects and Transitions can also be split in the same way.

The split operation does not split sources in unlinked tracks. The link option therefore is used to selectively split tracks in the timeline.

Selectively Splitting Tracks

The screen shot above illustrates splitting sources after unlinking the Audio 1 track (highlighted in Red). The source in Video 1 track is split as expected however the source in Audio 1 remains unaffected.

If you have to split a source in one track only then it is more convenient to use the Split Track option. To use this option, point to the Tools menu and click Split Track. Then move your mouse over a source. The mouse pointer will change to indicate the split position. Click once to split the Source.


VCD, SVCD and DVD – Quality, Capacity and Media Types

VCD: VCD, simply put, is a high density optical storage medium. It looks the same as a music CD, though it mostly holds movies, using compressed MPEG-1 video. It has the capacity to hold up to 74/80 minutes on a 650MB/700MB CDs respectively, of video along with stereo quality sound. VCDs are stored on CD-R, making them one of the least expensive storage media and compatible with a wide array of devices. You can play VCDs on most DVD players and PCs with Windows Media Player. You can use any burning software such as Nero to burn the VCD format to CD-R. It is also possible to add simple menus, and photo album/slide shows with background audio. These features make it a good low cost choice for video authoring.

SVCD: SVCD stands for Super Video CD. It bridges the quality gap between the traditional VCD and the DVD. The quality of a SVCD is better than a VCD because of higher resolution and the fact that it stores MPEG-2 Video, though it also depends on how much data you choose to store - less data per CD generally means higher quality. Like VCD, it is stored on a CD-R. The typical running time of an SVCD disc (with full resolution and quality) is about 35-45 minutes. It can be played on most standalone DVD Players and on PCs with a DVD-ROM or CD-ROM drive with the help of Windows Media Player and an MPEG 2 decoder. MPEG-2 decoders are not pre installed on Windows. You need to download and install an MPEG 2 decoder such as Elecard on your PC to view SVCD and MPEG 2 videos.

DVD: DVD stands for Digital Video Disc. A DVD-R can store up to 8 hours of very high quality DVD-Video encoded in MPEG-2 format. DVD files can be burned on DVD–R s to play the video with standalone DVD players. If you plan to play your DVD on a PC, then you need an MPEG-2 decoder such as Elecard. If such a decoder is not installed, Windows Media player will give an error saying that it was unable to find a codec to play the file. DVDs have a fixed pre defined dimension. If you play them on your PC, they may seem to be stretched; however, the Video should look fine on your DVD player. If you intend to burn your videos to DVD–R s, the dimensions should be compliant with the dimensions listed in the table below.

Understanding DVD media can be puzzling at times. Basically, there are four common DVD types on the basis of file size:

DVD 5:- Also called as Single Sided Single layered, having a capacity of ~4.7 GB.

DVD 10:- Also called as Double Sided Single layered, having a capacity of ~8.75GB.

DVD 9:- Also called as Single Sided Dual layered, having a capacity of ~7.95 GB.

DVD 18:- Also called as Double Sided Dual layered, having a capacity of ~17.95GB.

TECHNICAL INFORMATION:

Format | VCD | SVCD | DVD

Resolution

NTSC
PAL
352x240
352x288
480x480
480x576
720x480
720x576
Video Compression | MPEG1 | MPEG2 | MPEG2
Video Bit Rate | 1150kbps | ~2000kbps | ~5000kbps

Frame Rate

NTSC
PAL
29.97
25
29.97
25
29.97
25
Audio Compression | MP1 | MP1 | MP1, MP2, AC3, DTS, PCM
Audio Bit Rate | 224kbps | ~224kbps | ~448kbps
Size/min 10
MB/min 		10-20
MB/min 		30-70
MB/min
Compatibility | Great | Good | Good
Computer CPU Usage | Low | High | Very High
Quality | Good | Great | Excellent
Maximum Storage Capacity | 650Mb-700Mb | 650Mb-700Mb | 4Gb-17Gb

Copyright © 2001-2005 DeskShare. All rights reserved.


Checking the codecs installed on your PC

Short for compressor/decompressor,codec is a technology for compressing and decompressing data. Codecs are used to compress AVI files as they are very large. There are several different codecs available for compressing AVI files. To view an AVI file, you need to have the codec which was originally used to compress the file installed on your PC. To find out the codec used to compress an AVI file, right-click the file, click Properties, and then click Summary. The next step is to check whether that codec is installed on your PC.

Check installed Codecs in Windows XP

  1. Click Start, then click on Control Panel.

  2. In the Classic View, click on ‘Sounds and Audio Devices’, and then click on Hardware Tab.

  3. Select Video Codecs/ Audio Codecs and then click on Properties.

  4. In the Video/Audio Codec properties window, select the "Properties" tab at the top. This will show you all the codecs that are installed. You can choose to Remove a particular codec completely or check the Codec status from this window.

Check installed Codecs in Windows 2000

  1. Click Start, point to Settings, and then click Control Panel.

  2. Double-click Sounds and Multimedia.

  3. In the Sounds and Multimedia Properties dialog box, click the Hardware tab.

  4. Scroll down to Video/ Audio Codecs and click on Properties.

  5. In the properties dialog box, click the Properties tab.

Check installed Codecs in Windows 98

  1. Click Start, point to Settings, and then click Control Panel.

  2. Double-click Multimedia, click the Devices tab.

  3. Double-click Audio Compression Codec or Video Compression Codec to expand the
    branch.

Copyright © 2005 DeskShare Incorporated. All rights reserved.


Troubleshooting Compatibility Problems in Video Edit Magic

The rapid march of technology has enabled software on home PC’s to deliver stunning graphics, high quality video and audio for a complete user experience. This has been largely possible due to technologies like DirectX, which enable higher performance in graphics and sounds on your PC. Video Edit Magic harnesses the Microsoft DirectShow technology, a part of DirectX; to edit videos, display on-the-fly preview, add effects, add transitions, and for most of its advanced features.

This technology is also highly extensible. Various software vendors develop filters (or plug-ins) to extend the capabilities of DirectShow for their own products. For instance, Video Edit Magic has its own Color Balance effect filter that manages the Contrast, Brightness and Gamma of a video. In the same way, other software vendors may write other filters like, say, an MPEG decoder to read MPEG files. While well developed filters cause no issues, some filters might overwrite DirectShow’s default filters, causing problems with other applications using DirectShow.

The single largest reason that causes all video editing applications, including Video Edit Magic to function unexpectedly is “incompatible filters”, usually installed by other providers.

How to fix incompatibility problems?

There are many problems that occur mainly due to incompatibility of filters. Choppy audio, no video/audio in preview, lack of synchronization between audio and video in preview, Video/ Audio missing after making movie, and incomplete conversion are some of them. You can fix most problems with incompatible filters by:

STEP1. Installing the latest version of DirectX; Reinstalling if already installed.
STEP2. Using the Compatibility feature in Video Edit Magic to disable filters.

1. Installing the latest version of Direct X

The first step towards resolving compatibility problems is to install the latest version of DirectX. To know the version currently installed on your PC:

1. On the Start menu, click 'Run'.
2. Type in "dxdiag" to bring up the DirectX Diagnostic Tool.
3. The DirectX version is listed under the System tab.

In general; DirectX 8.1 comes pre-installed with Windows XP.
DirectX 7.0 comes pre-installed with Windows 2000.

You need DirectX 9.0c or higher installed to use the Compatibility feature of Video Edit Magic. Newer versions of DirectX also improve the graphics, security, and performance of your operating system. You can download and install it for your Windows 98, Windows ME, Windows 2000, Windows Server 2003, or Windows XP-based system from: http://www.microsoft.com/downloads/search.aspx?displaylang=en&categoryid=2

2. Using the Compatibility Tab

DirectShow chooses a filter by examining all filters registered under a category. It then uses the first filter that meets the requirement. This causes problems as you might have an incompatible filter being selected while running Video Edit Magic.

Video Edit Magic has a unique Compatibility feature, which allows you to disable certain incompatible filters. The user can define which filter ought to be used. These settings do not effect other applications outside Video Edit Magic. The filters are in a disabled state for only Video Edit Magic. The other applications, which might be using the filters, work just fine.

Some common filters which cause problems are:

1. iviaudio.ax: A filter installed by Intervideo WinDVD; causes problems in audio playback of WMV and WMA files in the timeline.
2. clmp3wrap.ax and claudiocd.ax: Filters installed by Cyberlink PowerDirector; you may not hear audio in files added to the timeline.
3. cmaudio.ax - from C-Media Inc. (sound card); Video Edit Magic may unexpectedly quit.
4. ac3audio.ax: This may cause Video Edit Magic to unexpectedly shut down when there are multiple audio tracks on the timeline.
5. divxaf.ax: 'Digital Anti-Freeze' - part of the Nimo Codec package - causes crashes when trying to preview or play transitions and effects.
6. nvviddec.ax and nvidia PVR demultiplexer: Installed by NVIDIA DVD Decoder; may cause problems while previewing video files.

If you face some unexpected problem, you might have to experiment with the installed filters to identify the filter causing incompatibility.

Disabling a Filter using the Compatibility feature:

Click on Tools > Options > Compatibility to access the Compatibility feature. The list under the compatibility tab displays all the filters that are installed by other programs on your computer, which might be a possible source of incompatibility.

To disable a particular filter:

1. Uncheck the filter. This will disable the filter only in Video Edit Magic and not affect any other video program installed on your PC.
2. Click 'Apply' to disable the filter in your current timeline.

Copyright © 2005 DeskShare Incorporated. All rights reserved.


Support

Here are some important links to web pages that you can use to obtain Video Edit Magic's support from DeskShare.

For | Visit | Link
Comments, Suggestions or Questions | Video Edit Magic Support Forum | http://www.deskshare.com/Forums/default.aspx
New Feature Request | New Feature Request Web Page | http://www.deskshare.com/new_feature.aspx
Video Edit Magic Details and Updates | Video Edit Magic Home Page | http://www.deskshare.com/vem.aspx
Product, Sales and Contact Information | Contact Us Web Page on DeskShare | http://www.deskshare.com/contact_us.aspx

Please feel free to write to us at these links.


.topic 1000
Instant Preview: Preview the media file currently selected in the Media List.

.topic 1001
Media File Information: File information of the currently selected media file in the Media List.

.topic 1002
Media List: List of all imported media files.

.topic 1003
History: List of all commands performed. Click on an operation in this list to Undo (or Redo) up to that operation.

.topic 1004
Video Effects: List of all the video effects that can be added to the timeline. Select an effect and click “Add” to apply effects.

.topic 1005
Actions: Lists all the actions that can be carried out in the currently active window. Use the Action tool for easy editing.

.topic 1006
Add Effects: Adds the selected effect to the timeline.

.topic 1007
Preview: Preview the current state of the timeline. See how your video production is shaping up.

.topic 1008
Seek Bar: Scroll to the desired position and start previewing from there.

.topic 1009
Current Time: Shows the current position relative to the total duration. The current position corresponds to the current position of the seek-bar.

.topic 1010
Preview Controls: Use these controls to preview the timeline at your will.

.topic 1011
Duration: Shows the total playback duration of the timeline.

.topic 1012
Repeat Playback: Repeat playback in a loop when the preview ends. Preview keeps repeating until stopped or Repeat is turned off.

.topic 1013
Timeline List: Lists all Video and Audio Sources, Effects and Transitions being used in the timeline, in a hierarchical manner.

.topic 1014
Zoom:  Zoom in / out of the scale to view the timeline in the desired precision.

.topic 1015
Add or Remove Marker: Add a marker at the current slider position or remove the selected marker from the timeline.

.topic 1016
Show or Hide Selection sliders: Shows or hides the selection sliders in the timeline.

.topic 1017
Marker: Marks a position in the timeline. Markers can be slid to the desired position.

.topic 1018
Slider: Used to view a certain location on the timeline. Slide to the position that you wish to preview.

.topic 1019
Scale: Indicates time. Time is represented in the format Hours:Minutes:Seconds:Milliseconds.

.topic 1020
Selection Sliders: A pair of sliders (start selection slider and end selection slider) used to select a range in the timeline. Right click on the timeline and select "Selection Sliders" to view/hide them.

.topic 1021
Lock/Unlock Track: Locks or unlocks the desired track in the timeline. Locked tracks cannot be edited.

.topic 1022
View/Hide Track: Views or hides the selected track in the timeline. Hidden tracks can neither be previewed nor saved to a file.

.topic 1023
Mute/Un-mute Tracks: Mutes or activates the selected audio track. Muted tracks remain in the timeline but are not audible when previewed and are not saved to a file.

.topic 1024
Video Track: Represents video from media files over the current scale of time. When a media file is added to the timeline, its video is represented by this track.

.topic 1025
Effect Track: Shows effects over the current scale of time. The effects track is applicable to the Video track only.

.topic 1026
Transition Track: The contents of this track are masked / superimposed over the video track. Overlaid sources can have key colors rendered as transparent.

.topic 1027
Audio Track: Shows the audio from media files over the current scale of time. When a file is added to the timeline then its audio is represented by this track.

.topic 1028
Audio Track: A parallel audio track. This secondary audio track can be used as a voice-over / music track that essentially overlays the Audio 1 track.

.topic 1029
Workspace: Preview how the video will look after the text is added.

.topic 1030
Transparent Background: If checked, the video will be visible through the text. If not checked then the background of the text will be painted using the selected background color.

.topic 1031
Text: The text that will be added over the video.

.topic 1032
Format Text: Format the text by making it Bold, Italic or Underlined and giving it a strikethrough.

.topic 1033
Background Color: Indicates the currently selected background color. Clear “Transparent Background” to paint the text with this color as the background color. Click “Select” to choose a different color.

.topic 1034
Select Font: The font in which the text is applied.

.topic 1035
Center Text: Center the text vertically and / or horizontally in the video.

.topic 1036
Foreground Color: Indicates the currently selected foreground color. The text is painted in this color. Click “Select” to choose a different color.

.topic 1037
Font Size: Indicates the font size of the text.

.topic 1038
Preview: Preview the image in actual dimensions. The saved image will be an exact copy of the preview.

.topic 1039
Dimension: Specify width and height of the image to be saved. The image will be saved with these dimensions.

.topic 1040
Save: Specify a file to which the image will be saved. Click “Browse” to choose a destination folder.

.topic 1041
Lock Aspect Ratio: If the aspect ratio is locked, changing one dimension of the video will also change the other dimension so that the aspect ratio is always maintained. Deselect this option to specify custom width and height.

.topic 1042
Save Tracks: Lists the tracks that can be saved to the timeline. Checked tracks will be saved to the file.

.topic 1043
Advance Settings: Select different dimensions, video and audio compressors, frame rate, key frame rate, quality and predicted frame frequency for your file.

.topic 1044
Save To File: The file to which the timeline will be saved. Click “Browse” to select the destination folder.

.topic 1045
Start Saving: Clicking on “Start” will start saving the timeline. This process can take some time depending on the length of the video.

.topic 1046
Save Settings Information: Displays the current settings for saving your file. ‘Save Range’ specifies the section of the timeline that will be saved.

.topic 1047
Video Dimension: Indicates the video dimension / display size of the file being saved. Select “Custom” to specify custom
video dimensions.

.topic 1048
Video Compressor: Indicates the video compressor that will be used to compress the output file.

.topic 1049
Frame Rate: Select the frame rate in Frames Per Second (FPS) at which the file will be saved. Check “Frame Rate” if to specify a custom frame rate. Deselect it to use the default.

.topic 1050
Quality: Specify the quality in percent to which the file will be saved. Higher quality will result in bigger files. Check to specify custom quality. Clear it to use the compressor default. Not all compressors support this capability.

.topic 1051
Custom Video Dimension: Specify the video height and width. Select custom from video dimension to specify custom video dimension.

.topic 1052
Key Frame Rate: Specify the key frame rate. Check “Key Frame Rate” to specify custom key frame rates and clear it to use the default. Not all compressors support this capability.

.topic 1053
Predicted Frame Frequency: Specify the predicted frame frequency. Check “Predicted Frame Frequency” to specify custom predicted frame frequency or clear it to use the compressor’s default.

.topic 1054
Audio Compressor: Indicates the video compressor that will be used to compress the output file.

.topic 1055
Working Folder: The working folder is used to save all temporary files used by the application and for saving the timeline
to a file.

.topic 1056
Preview Dimension: The display dimension in which the preview will be shown. This is not necessarily the actual dimension of the file or the dimension to which the final composition will be saved.

.topic 1057
Restore Default: Restores all settings to their default values. Default values are specified by the user in “Preferences”.

.topic 1058
Custom Preview Dimension: Specify pixel dimensions in which the preview should be displayed. Select “Custom” from (standard) preview dimension to specify a custom preview dimension.

.topic 1059
Link/Unlink Track: Links or unlinks the selected track in the timeline. Linked tracks are edited simultaneously when selection sliders used. Multi-select sources to edit them simultaneously when selection sliders are not in effect.

.topic 1060
Video Transitions: List of all the Video Transitions that can be added to the timeline. Select a Transition and click “Add”  to apply. Each Transtion has properties such as Border Color, Border Width etc. that can be set accordingly.

.topic 1061
Slider Position: Calibrated in Hours:Minutes:Seconds.Milliseconds. This box is used to accurately adjust the position of the slider in the timeline. You may also use the up and down direction keys to adjust the values.

.topic 1062
Source Start: Calibrated in Hours:Minutes:Seconds.Milliseconds. This box is used to accurately change the start position of the selected source in the timeline. The stop position of the same source is also adjusted accordingly. You may also use the up and down direction keys to adjust the values.

.topic 1063
Source Stop: Calibrated in Hours:Minutes:Seconds.Milliseconds. This box is used to accurately change the stop position of the selected source in the timeline. If "Move Source" is checked then the start time of the selected source is also adjusted accordingly so that the selected source is moved otherwise the selected source is resized. You may also use the up and down direction keys to adjust the values.

.topic 1064
Move Source: If this option is checked then changing the stop time of the selected source will adjust the stop time of that source. If this option is cleared then the start time will not change and the source will be resized.

.topic 1065
Zoom Factor: Calibrated in Hours:Minutes:Seconds.Milliseconds. This box is used to change the zoom in and out the timeline accurately. Use the direction keys